const recentSearchesKey = "xray:searches";
const transactionActionsMetadata = {
  ADD_ITEM: {
    icon: "plus",
    label: "Add Item"
  },
  AIRDROP: {
    icon: "gift",
    label: "Airdropped"
  },
  APPROVE_TRANSACTION: {
    icon: "check",
    label: "Approved Transaction"
  },
  BORROW_FOX: {
    icon: "openHand",
    label: "Borrow Fox"
  },
  BORROW_SOL_FOR_NFT: {
    icon: "customer",
    label: "Borrow SOL"
  },
  BURN: {
    filterLabel: "Burn",
    icon: "flame",
    label: "Burned"
  },
  BURN_NFT: {
    filterLabel: "NFT Burn",
    icon: "flame",
    label: "Burned NFT"
  },
  BUY_ITEM: {
    icon: "sale",
    label: "Buy Item"
  },
  CANCEL_LOAN_REQUEST: {
    icon: "close",
    label: "Cancel Loan Request"
  },
  CANCEL_OFFER: {
    icon: "close",
    label: "Cancel Offer"
  },
  CANCEL_ORDER: {
    icon: "close",
    label: "Cancel Order"
  },
  CLAIM_NFT: {
    icon: "squareCheck",
    label: "Claim NFT"
  },
  CLOSE_ITEM: {
    icon: "close",
    label: "Close Item"
  },
  CLOSE_ORDER: {
    icon: "close",
    label: "Close Item"
  },
  COMPRESSED_NFT_BURN: {
    icon: "flame",
    label: "Burned NFT"
  },
  COMPRESSED_NFT_MINT: {
    icon: "mint",
    label: "NFT Mint"
  },
  COMPRESSED_NFT_TRANSFER: {
    icon: "lightning",
    label: "Transfer"
  },
  COMPRESSED_NFT_UPDATE_METADATA: {
    icon: "arrowUp",
    label: "Update NFT Metadata"
  },
  CREATE_ORDER: {
    icon: "plus",
    label: "Create Order"
  },
  DELIST_ITEM: {
    icon: "close",
    label: "Delist Item"
  },
  EXECUTE_TRANSACTION: {
    filterLabel: "Multisig Transaction",
    icon: "squad",
    label: "Multisig Transaction"
  },
  FILL_ORDER: {
    icon: "squareCheck",
    label: "Fill Order"
  },
  FORECLOSE_LOAN: {
    icon: "squareCheck",
    label: "Foreclose Loan"
  },
  FREEZE: {
    icon: "cold",
    label: "Frozen"
  },
  LEND_FOR_NFT: {
    icon: "handshake",
    label: "Lend"
  },
  LIST_ITEM: {
    icon: "list",
    label: "List Item"
  },
  LOAN_FOX: {
    icon: "handshake",
    label: "Loan Fox"
  },
  MIGRATE_TO_PNFT: {
    icon: "arrowRight",
    label: "Migrate to pNFT"
  },
  NFT_BID: {
    icon: "sale",
    label: "NFT Bid"
  },
  NFT_BID_CANCELLED: {
    icon: "cancel",
    label: "Canceled NFT Bid"
  },
  NFT_BUY: {
    icon: "sale",
    label: "Bought"
  },
  NFT_CANCEL_LISTING: {
    icon: "cancel",
    label: "Canceled NFT Lising"
  },
  NFT_GLOBAL_BID: {
    icon: "sale",
    label: "NFT Global Bid"
  },
  NFT_LISTING: {
    filterLabel: "NFT List",
    icon: "sale",
    label: "Listed NFT"
  },
  NFT_MINT: {
    filterLabel: "NFT Mint",
    icon: "mint",
    label: "NFT Mint"
  },
  NFT_SALE: {
    filterLabel: "NFT Sale",
    icon: "sale",
    label: "NFT Sale"
  },
  NFT_SELL: {
    icon: "sale",
    label: "Sold"
  },
  OFFER_LOAN: {
    icon: "openHand",
    label: "Offer Loan"
  },
  REBORROW_SOL_FOR_NFT: {
    icon: "customer",
    label: "Reborrow SOL"
  },
  RECEIVED: {
    icon: "arrowDown",
    label: "Received"
  },
  REPAY_LOAN: {
    icon: "sale",
    label: "Repay Loan"
  },
  REQUEST_LOAN: {
    icon: "questionBubble",
    label: "Request Loan"
  },
  RESCIND_LOAN: {
    icon: "close",
    label: "Rescind Loan"
  },
  SENT: {
    icon: "arrowUp",
    label: "Sent"
  },
  SFT_MINT: {
    icon: "mint",
    label: "SFT Mint"
  },
  STAKE_SOL: {
    icon: "star",
    label: "Staked SOL"
  },
  STAKE_TOKEN: {
    icon: "star",
    label: "Staked Token"
  },
  SWAP: {
    filterLabel: "Swap",
    icon: "swap",
    label: "Swap"
  },
  SWAP_RECEIVED: {
    icon: "swap",
    label: "Swap"
  },
  SWAP_SENT: {
    icon: "swap",
    label: "Swap"
  },
  TAKE_LOAN: {
    icon: "handshake",
    label: "Take Loan"
  },
  TOKEN_MINT: {
    filterLabel: "Token Mint",
    icon: "coins",
    label: "Token Mint"
  },
  TRANSFER: {
    filterLabel: "Transfer",
    icon: "lightning",
    label: "Transfer"
  },
  TRANSFER_RECEIVED: {
    icon: "arrowDown",
    label: "Received"
  },
  TRANSFER_SENT: {
    icon: "arrowUp",
    label: "Sent"
  },
  UNKNOWN: {
    filterLabel: "Generic Transaction",
    icon: "box",
    label: "Generic Transaction"
  },
  UNSTAKE_TOKEN: {
    icon: "cancel",
    label: "Unstake Token"
  },
  UPDATE_ITEM: {
    icon: "arrowUp",
    label: "Update Item"
  },
  UPDATE_OFFER: {
    icon: "cycle",
    label: "Update Offer"
  },
  UPDATE_ORDER: {
    icon: "arrowUp",
    label: "Update Order"
  },
  UPGRADE_FOX_REQUEST: {
    icon: "arrowUp",
    label: "Upgrade Fox"
  },
  XNFT_INSTALL: {
    icon: "download",
    label: "xNFT Install"
  },
  XNFT_UNINSTALL: {
    icon: "trash",
    label: "xNFT Uninstall"
  }
};
export {
  recentSearchesKey as r,
  transactionActionsMetadata as t
};
