import { c as create_ssr_component, b as subscribe, v as validate_component, a as add_attribute, j as noop } from "./index3.js";
import "@solana/web3.js";
import { S as SOL } from "./types.js";
import "@onsol/tldparser";
import "@nifty-oss/asset";
import { p as page } from "./stores.js";
import { t as trpcWithQuery } from "./client.js";
import { I as IntersectionObserver } from "./IntersectionObserver.js";
const Token_provider = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let data;
  let tokenIsLoading;
  let tokenFailed;
  let isNFT;
  let $asset, $$unsubscribe_asset = noop, $$subscribe_asset = () => ($$unsubscribe_asset(), $$unsubscribe_asset = subscribe(asset, ($$value) => $asset = $$value), asset);
  let $deprecatedImage, $$unsubscribe_deprecatedImage = noop, $$subscribe_deprecatedImage = () => ($$unsubscribe_deprecatedImage(), $$unsubscribe_deprecatedImage = subscribe(deprecatedImage, ($$value) => $deprecatedImage = $$value), deprecatedImage);
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  let { address = void 0 } = $$props;
  let { token = void 0 } = $$props;
  let { status = void 0 } = $$props;
  let intersecting = false;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const client = trpcWithQuery($page);
  const metadata = {
    address: "",
    attributes: [],
    collectionKey: "",
    creators: [],
    delegate: "",
    description: "",
    image: "",
    name: "",
    owner: "",
    sellerFeeBasisPoints: 0
  };
  let asset;
  let deprecatedImage;
  if (address) {
    $$subscribe_asset(asset = client.asset.createQuery([address, isMainnetValue], {
      refetchOnMount: false,
      refetchOnWindowFocus: false
    }));
  }
  let element;
  const fetchJsonMetadata = async (jsonUri) => {
    try {
      const response = await fetch(jsonUri);
      if (!response.ok) {
        throw new Error(`Status ${response.status}`);
      }
      const contentType = response.headers.get("content-type");
      if (!contentType || !contentType.includes("application/json")) {
        throw new TypeError("Received non-JSON content type");
      }
      const jsonData = await response.json();
      return jsonData.image;
    } catch (error) {
      console.error("Error fetching or parsing JSON metadata:", error);
      return "";
    }
  };
  if ($$props.address === void 0 && $$bindings.address && address !== void 0)
    $$bindings.address(address);
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  if ($$props.status === void 0 && $$bindings.status && status !== void 0)
    $$bindings.status(status);
  if ($$props.metadata === void 0 && $$bindings.metadata && metadata !== void 0)
    $$bindings.metadata(metadata);
  let $$settled;
  let $$rendered;
  do {
    $$settled = true;
    data = $asset?.data || token;
    {
      if (address === SOL) {
        metadata.name = "SOL";
        metadata.image = "/media/tokens/solana.png";
        metadata.address = SOL;
      } else if (data?.compressed) {
        metadata.address = data?.address || "";
        metadata.attributes = data?.attributes || [];
        metadata.creators = data?.creators || [];
        metadata.description = data?.description || "";
        metadata.collectionKey = data?.collectionKey || "";
        metadata.image = data?.image || "";
        metadata.name = data?.name || "";
        metadata.owner = data?.owner || "";
        metadata.delegate = data?.delegate || "";
        metadata.frozen = data?.frozen || false;
        metadata.mutable = data?.mutable || false;
        metadata.compressed = data?.compressed || false;
        metadata.sellerFeeBasisPoints = data?.sellerFeeBasisPoints || 0;
        metadata.dataHash = data?.dataHash || "";
        metadata.creatorHash = data?.creatorHash || "";
        metadata.assetHash = data?.assetHash || "";
        metadata.tree = data?.tree || "";
        metadata.seq = data?.seq || 0;
        metadata.leafId = data?.leafId || 0;
      } else if (data?.compression.compressed == false) {
        metadata.address = data?.id;
        metadata.sellerFeeBasisPoints = data?.royalty.basis_points || 0;
        metadata.creators = data?.creators;
        metadata.description = data?.content.metadata?.description;
        metadata.image = data?.content.links?.image || data?.content.files?.find((file) => file.mime?.startsWith("image/"))?.uri;
        metadata.name = data?.content.metadata?.name;
        metadata.files = data?.content.files;
        metadata.video_uri = data?.content.files?.find((file) => file.mime?.startsWith("video/"))?.uri;
        metadata.burnt = data?.burnt;
        metadata.mintExtensions = data?.mint_extensions;
      }
    }
    {
      if (data?.id && !metadata.image) {
        $$subscribe_deprecatedImage(deprecatedImage = client.deprecatedImage.createQuery(data?.id));
        metadata.image = $deprecatedImage?.data;
      }
    }
    {
      if (metadata.mintExtensions) {
        const name = metadata.mintExtensions?.metadata?.name;
        const jsonUri = metadata.mintExtensions?.metadata?.uri;
        if (name) {
          metadata.name = name;
        }
        if (jsonUri && jsonUri.endsWith(".json")) {
          (async () => {
            try {
              const imageUrl = await fetchJsonMetadata(jsonUri);
              if (imageUrl) {
                metadata.image = imageUrl;
              }
            } catch (error) {
              console.error("Error in fetchJsonMetadata:", error);
            }
          })();
        } else if (jsonUri) {
          metadata.image = jsonUri;
        }
      }
    }
    tokenIsLoading = address !== SOL && $asset?.isLoading || address !== SOL && status?.isLoading;
    tokenFailed = $asset?.isError || status?.isError;
    isNFT = metadata?.attributes && metadata?.attributes?.length > 0;
    $$rendered = `<div>${validate_component(IntersectionObserver, "IntersectionObserver").$$render(
      $$result,
      { once: true, element, intersecting },
      {
        intersecting: ($$value) => {
          intersecting = $$value;
          $$settled = false;
        }
      },
      {
        default: () => {
          return `<div${add_attribute("this", element, 0)}></div>

        ${intersecting ? `${slots.default ? slots.default({
            metadata,
            tokenIsLoading,
            tokenFailed,
            isNFT
          }) : ``}` : ``}`;
        }
      }
    )}</div>`;
  } while (!$$settled);
  $$unsubscribe_asset();
  $$unsubscribe_deprecatedImage();
  $$unsubscribe_page();
  return $$rendered;
});
export {
  Token_provider as T
};
