import { c as create_ssr_component, b as subscribe, d as each, v as validate_component, j as noop } from "./index3.js";
import { p as page } from "./stores.js";
import { t as trpcWithQuery } from "./client.js";
import { I as Icon_card } from "./icon-card.js";
import { T as Transaction } from "./transaction.js";
const Transactions = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let transactions;
  let transactionPages;
  let lastPage;
  let lastPageHasTransactions;
  let $transactions, $$unsubscribe_transactions = noop, $$subscribe_transactions = () => ($$unsubscribe_transactions(), $$unsubscribe_transactions = subscribe(transactions, ($$value) => $transactions = $$value), transactions);
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  let { account } = $$props;
  let { user = "" } = $$props;
  let { filter = "" } = $$props;
  let { compressed = false } = $$props;
  let cachedAddress = "";
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const createTransactionQuery = (input) => compressed ? client.cnftTransactions.createInfiniteQuery(input, {
    getNextPageParam: (lastPage2) => lastPage2.oldest,
    refetchOnMount: false,
    refetchOnWindowFocus: false
  }) : client.transactions.createInfiniteQuery(input, {
    getNextPageParam: (lastPage2) => lastPage2.oldest,
    refetchOnMount: false,
    refetchOnWindowFocus: false
  });
  if ($$props.account === void 0 && $$bindings.account && account !== void 0)
    $$bindings.account(account);
  if ($$props.user === void 0 && $$bindings.user && user !== void 0)
    $$bindings.user(user);
  if ($$props.filter === void 0 && $$bindings.filter && filter !== void 0)
    $$bindings.filter(filter);
  if ($$props.compressed === void 0 && $$bindings.compressed && compressed !== void 0)
    $$bindings.compressed(compressed);
  $$subscribe_transactions(transactions = createTransactionQuery({
    account,
    filter,
    isMainnet: isMainnetValue,
    user
  }));
  transactionPages = $transactions.data?.pages || [];
  {
    if (cachedAddress !== account) {
      cachedAddress = account;
      $$subscribe_transactions(transactions = createTransactionQuery({
        account,
        filter,
        isMainnet: isMainnetValue,
        user
      }));
    }
  }
  lastPage = transactionPages[transactionPages.length - 1];
  lastPageHasTransactions = lastPage ? transactionPages[transactionPages.length - 1].result?.length : false;
  $$unsubscribe_transactions();
  $$unsubscribe_page();
  return `${$transactions.isLoading ? `${each(Array(3), (_) => {
    return `<div class="py-2">${validate_component(Icon_card, "IconCard").$$render($$result, {}, {}, {})}
        </div>`;
  })}` : `${transactionPages.length === 1 && !lastPageHasTransactions ? `<p class="opacity-50">No transactions</p>` : `${each(transactionPages, (transactionsList) => {
    return `${each(transactionsList.result, (transaction, idx) => {
      return `${transaction?.signature ? `
                ${idx < 8 ? `<div class="mb-8">${validate_component(Transaction, "Transaction").$$render($$result, { transaction }, {}, {})}
                    </div>` : `<div class="mb-10">${validate_component(Transaction, "Transaction").$$render($$result, { transaction }, {}, {})}
                    </div>`}` : ``}`;
    })}`;
  })}`}`}

${$transactions.hasNextPage && lastPageHasTransactions ? `<div class="flex justify-center"><button class="${[
    "btn-outline btn",
    ($transactions.isFetching ? "loading" : "") + " " + ($transactions.isFetching ? "disabled" : "")
  ].join(" ").trim()}">Load More</button></div>` : ``}`;
});
export {
  Transactions as T
};
