import { c as create_ssr_component, b as subscribe, e as escape, v as validate_component, d as each, o as onDestroy, a as add_attribute } from "../../../../chunks/index3.js";
import { p as page } from "../../../../chunks/stores.js";
import { i as idlStore } from "../../../../chunks/idl.js";
import { PROGRAM_ID } from "@solana/spl-account-compression";
import { I as Icon } from "../../../../chunks/icon.js";
import { t as trpcWithQuery } from "../../../../chunks/client.js";
import "@solana/web3.js";
import { S as SOL } from "../../../../chunks/types.js";
import "@onsol/tldparser";
import "@nifty-oss/asset";
import { t as tweened } from "../../../../chunks/index4.js";
import { f as formatMoney } from "../../../../chunks/format-money.js";
import { C as Copy_button } from "../../../../chunks/copy-button.js";
const Username_provider = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let usernameIsLoading;
  let usernames;
  let $usernameData, $$unsubscribe_usernameData;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const client = trpcWithQuery($page);
  let { address = "" } = $$props;
  const usernameData = client.accountUsernames.createQuery(address, {
    refetchOnMount: false,
    refetchOnWindowFocus: false
  });
  $$unsubscribe_usernameData = subscribe(usernameData, (value) => $usernameData = value);
  if ($$props.address === void 0 && $$bindings.address && address !== void 0)
    $$bindings.address(address);
  usernameIsLoading = $usernameData.isLoading;
  usernames = $usernameData?.data || [];
  $$unsubscribe_usernameData();
  $$unsubscribe_page();
  return `${slots.default ? slots.default({ usernames, usernameIsLoading }) : ``}`;
});
const Shorten_address = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { address = "" } = $$props;
  if ($$props.address === void 0 && $$bindings.address && address !== void 0)
    $$bindings.address(address);
  return `<span class="font-bold">${escape(address.substring(0, 4))}</span><span class="opacity-50">...${escape(address.slice(-4))}</span>`;
});
const accountHeader_svelte_svelte_type_style_lang = "";
const css = {
  code: ".username-block.svelte-92p400{opacity:90%}.username-block.svelte-92p400:nth-child(3n + 2){background-color:#dbeafe;color:#2563eb}.username-block.svelte-92p400:nth-child(3n + 1){background-color:#fef08a;color:#ca8a04}.username-block.svelte-92p400:nth-child(3n + 3){background-color:#bbf7d0;color:#16a34a}",
  map: null
};
const Account_header = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let worth;
  let $price, $$unsubscribe_price;
  let $balance, $$unsubscribe_balance;
  let $accountInfo, $$unsubscribe_accountInfo;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const client = trpcWithQuery($page);
  let { account = "" } = $$props;
  let { link = "" } = $$props;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  let isMainnetValue = network !== "devnet";
  const accountInfo = client.accountInfo.createQuery([account, isMainnetValue]);
  $$unsubscribe_accountInfo = subscribe(accountInfo, (value) => $accountInfo = value);
  const price = client.price.createQuery(SOL);
  $$unsubscribe_price = subscribe(price, (value) => $price = value);
  const balance = tweened(0, { duration: 1e3 });
  $$unsubscribe_balance = subscribe(balance, (value) => $balance = value);
  if ($$props.account === void 0 && $$bindings.account && account !== void 0)
    $$bindings.account(account);
  if ($$props.link === void 0 && $$bindings.link && link !== void 0)
    $$bindings.link(link);
  $$result.css.add(css);
  {
    if ($accountInfo?.data?.balance) {
      balance.set($accountInfo.data.balance);
    }
  }
  worth = $balance * $price?.data;
  $$unsubscribe_price();
  $$unsubscribe_balance();
  $$unsubscribe_accountInfo();
  $$unsubscribe_page();
  return `${validate_component(Username_provider, "Username").$$render($$result, { address: account }, {}, {
    default: ({ usernames, usernameIsLoading }) => {
      return `<div class="nav sticky top-16 z-30 gap-2 bg-base-100 px-3 pt-2"><div class="flex flex-col bg-base-100"><div class="flex items-center justify-between"><div class="flex items-center"><h3 class="relative m-0 text-lg font-bold md:text-2xl">${validate_component(Shorten_address, "ShortenAddress").$$render($$result, { address: account }, {}, {})}</h3>
                    <div class="relative flex items-center"><div class="my-2">${validate_component(Copy_button, "CopyButton").$$render($$result, { text: account }, {}, {})}
                            ${validate_component(Copy_button, "CopyButton").$$render($$result, { text: link, icon: "link" }, {}, {})}</div></div>
                    
                    <div class="badge-outline badge relative mx-2 flex cursor-default px-4 py-2 opacity-90">${escape(isMainnetValue ? "mainnet" : "devnet")}</div></div>
                <div class="relative text-right"><h1 class="text-md md:block"><span class="">${escape($balance.toFixed(6))}</span>
                        <span class="opacity-50">SOL</span></h1>

                    ${!$price?.isLoading ? `<span class="ml-1 text-xs opacity-50 md:block">${escape(formatMoney(worth))} USD</span>` : ``}</div></div>
            ${usernameIsLoading ? `<div class="flex flex-wrap gap-2 pt-2">${each([1, 2, 3], (_) => {
        return `<div class="username-block inline-block h-6 w-[72px] animate-pulse rounded-full px-3 py-1 text-xs font-extrabold svelte-92p400"></div>`;
      })}</div>` : `${usernames && usernames?.length > 0 ? `<div class="flex flex-wrap gap-2 pt-2">${each(usernames, (username) => {
        return `<div class="username-block inline-block rounded-full px-3 py-1 text-xs font-extrabold svelte-92p400">${escape(username.username)}
                        </div>`;
      })}</div>` : ``}`}</div></div>`;
    }
  })}`;
});
const Layout = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let endsWith;
  let hasAssets;
  let $assets, $$unsubscribe_assets;
  let $page, $$unsubscribe_page;
  let $accountInfo, $$unsubscribe_accountInfo;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const client = trpcWithQuery($page);
  const account = $page.params.account;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network === "mainnet";
  const selectedNetwork = `network=${isMainnetValue ? "mainnet" : "devnet"}`;
  const accountInfo = client.accountInfo.createQuery([account, isMainnetValue]);
  $$unsubscribe_accountInfo = subscribe(accountInfo, (value) => $accountInfo = value);
  const assets = client.assets.createQuery({ account, isMainnet: isMainnetValue });
  $$unsubscribe_assets = subscribe(assets, (value) => $assets = value);
  let programIDL = null;
  const unsubscribe = idlStore.subscribe((value) => {
    programIDL = value;
  });
  onDestroy(() => {
    unsubscribe();
  });
  endsWith = (str) => $page.url.pathname.endsWith(str);
  hasAssets = $assets?.data?.total > 0;
  $$unsubscribe_assets();
  $$unsubscribe_page();
  $$unsubscribe_accountInfo();
  return `<div class="relative mx-auto w-full max-w-2xl pb-32">${validate_component(Account_header, "AccountHeader").$$render($$result, { account, link: $page.url.href }, {}, {})}

    <div><div class="mx-3 mb-5 mt-3 flex items-center justify-between rounded-lg border"><div class="tabs w-full pt-1 md:w-auto"><div></div>
                <a${add_attribute("href", `/account/${account}?${selectedNetwork}`, 0)} class="${["tab-bordered tab", endsWith(`${account}`) ? "tab-active" : ""].join(" ").trim()}">Transactions</a>
                <a${add_attribute("href", `/account/${account}/tokens?${selectedNetwork}`, 0)} class="${["tab-bordered tab", endsWith("/tokens") ? "tab-active" : ""].join(" ").trim()}">Tokens</a>
                ${hasAssets ? `<a${add_attribute("href", `/account/${account}/assets?${selectedNetwork}`, 0)} class="${["tab-bordered tab", endsWith("/assets") ? "tab-active" : ""].join(" ").trim()}">Assets</a>` : ``}
                ${$accountInfo?.data?.value?.owner === PROGRAM_ID.toBase58() ? `<a${add_attribute("href", `/account/${account}/concurrent-merkle-tree?${selectedNetwork}`, 0)} class="${["tab-bordered tab", endsWith("concurrent-merkle-tree") ? "tab-active" : ""].join(" ").trim()}">Concurrent Merkle Tree
                    </a>` : ``}
                ${programIDL ? `<a${add_attribute("href", `/account/${account}/idl?${selectedNetwork}`, 0)} class="${["tab-bordered tab", endsWith("/idl") ? "tab-active" : ""].join(" ").trim()}">IDL</a>` : ``}</div>
            ${!endsWith("/tokens") && !endsWith("/assets") && !endsWith("/idl") ? `<button class="btn-ghost btn-sm btn">${validate_component(Icon, "Icon").$$render($$result, { id: "settings" }, {}, {})}</button>` : ``}</div></div>

    <div class="content px-3">${slots.default ? slots.default({}) : ``}</div></div>`;
});
export {
  Layout as default
};
