import { c as create_ssr_component, b as subscribe, v as validate_component } from "../../../../chunks/index3.js";
import { t as trpcWithQuery } from "../../../../chunks/client.js";
import { LAMPORTS_PER_SOL } from "@solana/web3.js";
import { p as page } from "../../../../chunks/stores.js";
import { t as tweened } from "../../../../chunks/index4.js";
import { T as Transactions } from "../../../../chunks/transactions.js";
import { w as writable } from "../../../../chunks/index2.js";
const filterStore = writable("");
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $balances, $$unsubscribe_balances;
  let $page, $$unsubscribe_page;
  let $filterStore, $$unsubscribe_filterStore;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  $$unsubscribe_filterStore = subscribe(filterStore, (value) => $filterStore = value);
  const { account } = $page.params;
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const balances = client.balances.createQuery([account, isMainnetValue]);
  $$unsubscribe_balances = subscribe(balances, (value) => $balances = value);
  const balance = tweened(0, { duration: 1e3 });
  {
    if ($balances?.data?.nativeBalance) {
      balance.set($balances.data.nativeBalance / LAMPORTS_PER_SOL);
    }
  }
  $$unsubscribe_balances();
  $$unsubscribe_page();
  $$unsubscribe_filterStore();
  return `<div class="pl-2 md:pl-0">${validate_component(Transactions, "Transactions").$$render(
    $$result,
    {
      account,
      filter: $filterStore,
      user: account
    },
    {},
    {}
  )}</div>`;
});
export {
  Page as default
};
