import { c as create_ssr_component, b as subscribe, d as each, e as escape, v as validate_component, j as noop } from "../../../../../chunks/index3.js";
import { t as trpcWithQuery } from "../../../../../chunks/client.js";
import { p as page } from "../../../../../chunks/stores.js";
const Image_1 = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { src } = $$props;
  let { className = "" } = $$props;
  let { alt = "image" } = $$props;
  if ($$props.src === void 0 && $$bindings.src && src !== void 0)
    $$bindings.src(src);
  if ($$props.className === void 0 && $$bindings.className && className !== void 0)
    $$bindings.className(className);
  if ($$props.alt === void 0 && $$bindings.alt && alt !== void 0)
    $$bindings.alt(alt);
  return `${`${`${``}`}`}`;
});
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let assets;
  let lastPageHadAssets;
  let isOnePage;
  let $assets, $$unsubscribe_assets = noop, $$subscribe_assets = () => ($$unsubscribe_assets(), $$unsubscribe_assets = subscribe(assets, ($$value) => $assets = $$value), assets);
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const { account } = $page.params;
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const createAssetsQuery = (input) => client.assets.createInfiniteQuery(input, {
    getNextPageParam: (lastPage) => lastPage.page + 1,
    refetchOnMount: false,
    refetchOnWindowFocus: false
  });
  $$subscribe_assets(assets = createAssetsQuery({
    account,
    cursor: 1,
    isMainnet: isMainnetValue
  }));
  lastPageHadAssets = $assets.data?.pages[$assets.data.pages.length - 1].total > 0;
  isOnePage = $assets.data?.pages.length == 1;
  $$unsubscribe_assets();
  $$unsubscribe_page();
  return `<div class="grid grid-cols-3 gap-3 md:grid-cols-5">${each($assets.data?.pages || [], (page2) => {
    return `${each(page2.items, (asset) => {
      let image = asset.content.files.find((file) => file.mime.startsWith("image") && file.uri);
      return `

            ${asset.burnt !== true ? `<a href="${"/token/" + escape(asset.id, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}">${validate_component(Image_1, "Image").$$render(
        $$result,
        {
          src: image?.uri,
          className: "aspect-square w-full rounded-lg",
          alt: ""
        },
        {},
        {}
      )}
                </a>` : ``}`;
    })}`;
  })}</div>

${$assets.hasNextPage && lastPageHadAssets && !isOnePage ? `<div class="flex justify-center"><button class="${[
    "btn-outline btn",
    ($assets.isFetching ? "loading" : "") + " " + ($assets.isFetching ? "disabled" : "")
  ].join(" ").trim()}">Load More</button></div>` : ``}`;
});
export {
  Page as default
};
