import { c as create_ssr_component, b as subscribe, v as validate_component, e as escape, d as each } from "../../../../../chunks/index3.js";
import { p as page } from "../../../../../chunks/stores.js";
import { C as Copy_button } from "../../../../../chunks/copy-button.js";
import { I as Icon_card } from "../../../../../chunks/icon-card.js";
import { I as Icon } from "../../../../../chunks/icon.js";
import { t as trpcWithQuery } from "../../../../../chunks/client.js";
import { s as shortenString } from "../../../../../chunks/shorten-string.js";
import { PublicKey } from "@solana/web3.js";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let currentRoot;
  let $cmt, $$unsubscribe_cmt;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const client = trpcWithQuery($page);
  const account = $page.params.account;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const cmt = client.concurrentMerkleTree.createQuery({
    address: account,
    isMainnet: isMainnetValue
  });
  $$unsubscribe_cmt = subscribe(cmt, (value) => $cmt = value);
  currentRoot = new PublicKey($cmt.data?.root.data || []);
  $$unsubscribe_cmt();
  $$unsubscribe_page();
  return `${$cmt.data ? `<div class="mb-3"><div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "key", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Authority</h4>
                    <h3 class="mr-2 text-xs opacity-50">The account authroized to modify the tree&#39;s state.
                    </h3></div>
                <div class="flex items-center">${validate_component(Copy_button, "CopyButton").$$render($$result, { text: $cmt.data?.authority }, {}, {})}
                    <a data-sveltekit-reload href="${"/account/" + escape($cmt.data?.authority, true) + "?network=$" + escape(isMainnetValue ? "mainnet" : "devnet", true)}" class="pointer-events-auto text-xs hover:link-success md:text-sm">${escape(shortenString($cmt.data?.authority))}</a></div></div></div>
        <div><div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "box", size: "sm" }, {}, {})}</div></div>
                <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Slot Created
                        </h4>
                        <h3 class="mr-2 text-xs opacity-50">The slot this tree was created on.
                        </h3></div>
                    <a href="${"/block/" + escape($cmt.data?.creationSlot, true) + "?network=$" + escape(isMainnetValue ? "mainnet" : "devnet", true)}" class="pointer-events-auto text-xs hover:link-success md:text-sm">${escape($cmt.data?.creationSlot.toLocaleString())}</a></div></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "tree", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Max Depth</h4>
                    <h3 class="mr-2 text-xs opacity-50">The maximum number of levels the tree can have.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape($cmt.data.treeHeight)}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "cloudTransfer", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Max Buffer Size
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The maximum number of leaves that can be processed at
                        once.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape($cmt.data.maxBufferSize)}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "trees", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Canopy Depth
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The subset of the tree that is stored within the tree
                        account.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape($cmt.data.canopyDepth)}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "cycle", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Current Sequence Number
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The number used to differentiate updates to the tree.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape(parseInt($cmt.data.seq).toLocaleString())}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "codeFork", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Current Root
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The current root hash of the tree.
                    </h3></div>
                <div class="flex items-center">${validate_component(Copy_button, "CopyButton").$$render($$result, { text: String(currentRoot) }, {}, {})}
                    <p class="text-xs md:text-sm">${escape(shortenString(String(currentRoot)))}</p></div></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "leaf", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Current Number of Leaves
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The current number of leaves in the tree.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape($cmt.data.rightMostIndex.toLocaleString())}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "hourglass", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Remaining Leaves
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The number of leaves that can still be added to the
                        tree.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape((Math.pow(2, $cmt.data.treeHeight) - $cmt.data.rightMostIndex + 1).toLocaleString())}</p></div></div>
        <div class="mt-3 grid grid-cols-12 items-center gap-3 rounded-lg border p-1 py-3"><div class="col-span-2 p-1 md:col-span-1"><div class="center ml-1 h-10 w-10 rounded-full bg-secondary">${validate_component(Icon, "Icon").$$render($$result, { id: "plus", size: "sm" }, {}, {})}</div></div>
            <div class="col-span-10 flex items-center justify-between pr-1 md:col-span-11"><div><h4 class="text-lg font-semibold md:text-sm">Max Possible Leaves
                    </h4>
                    <h3 class="mr-2 text-xs opacity-50">The maximum number of leaves that the tree can
                        accommodate.
                    </h3></div>
                <p class="text-xs md:text-sm">${escape(Math.pow(2, $cmt.data.treeHeight).toLocaleString())}</p></div></div></div>` : `${each(Array(3), (_) => {
    return `<div class="py-2">${validate_component(Icon_card, "IconCard").$$render($$result, {}, {}, {})}
        </div>`;
  })}`}`;
});
export {
  Page as default
};
