import { c as create_ssr_component, b as subscribe, v as validate_component } from "../../../../../chunks/index3.js";
import { i as idlStore } from "../../../../../chunks/idl.js";
import formatHighlight from "json-format-highlight";
import { C as Copy_button } from "../../../../../chunks/copy-button.js";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $idlStore, $$unsubscribe_idlStore;
  $$unsubscribe_idlStore = subscribe(idlStore, (value) => $idlStore = value);
  let formattedIdl = "";
  let idlText = "";
  {
    if ($idlStore) {
      idlText = JSON.stringify($idlStore, null, 2);
      formattedIdl = formatHighlight(JSON.stringify($idlStore, null, 2), {
        keyColor: "#a5a3a",
        numberColor: "#e8a034",
        stringColor: "#24ae67"
      });
    }
  }
  $$unsubscribe_idlStore();
  return `<div class="relative mx-auto w-full max-w-2xl pb-32">${$idlStore ? `
        <div class="flex flex-col items-center justify-between"><div class="${[
    "code col-span-12 w-full cursor-pointer rounded-lg border px-3 py-2 hover:border-primary",
    ""
  ].join(" ").trim()}"><pre><code class="text-xs"><!-- HTML_TAG_START -->${formattedIdl}<!-- HTML_TAG_END --></code></pre></div>
            ${validate_component(Copy_button, "CopyButton").$$render(
    $$result,
    {
      text: idlText,
      classList: "btn-sm mt-4",
      label: "Copy IDL",
      success: "Copied!"
    },
    {},
    {}
  )}</div>` : `<p>No IDL data available.</p>`}</div>`;
});
export {
  Page as default
};
