import { c as create_ssr_component, b as subscribe, d as each, v as validate_component, e as escape } from "../../../../../chunks/index3.js";
import { t as trpcWithQuery } from "../../../../../chunks/client.js";
import { p as page } from "../../../../../chunks/stores.js";
import { T as Token_provider } from "../../../../../chunks/token-provider.js";
import { f as formatMoney } from "../../../../../chunks/format-money.js";
import { LAMPORTS_PER_SOL } from "@solana/web3.js";
import { S as SOL } from "../../../../../chunks/types.js";
import "@onsol/tldparser";
import "@nifty-oss/asset";
const fallback = "/_app/immutable/assets/fallback_image.3f020ca4.svg";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let getTokensRequestItems;
  let lamports;
  let solToken;
  let partialTokens;
  let tokens;
  let $getSolPrice, $$unsubscribe_getSolPrice;
  let $getTokensRequest, $$unsubscribe_getTokensRequest;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const account = $page.params.account;
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const toUIAccountToken = (tokenData) => {
    const balance = tokenData.token_info.balance;
    const price = tokenData.token_info.price_info?.price_per_token ?? 0;
    const decimals = tokenData.token_info.decimals;
    return {
      balance,
      balanceInUSD: price * balance / 10 ** decimals,
      decimals,
      fullMetadata: tokenData,
      id: tokenData.id,
      price
    };
  };
  const toUISolAccountToken = (lamports2, price = 0) => {
    const balance = lamports2 / LAMPORTS_PER_SOL;
    return {
      balance,
      balanceInUSD: price * balance,
      id: SOL,
      price
    };
  };
  const isSol = (t) => t.id === SOL;
  const getTokensRequest = client.searchAssets.createQuery({
    account,
    isMainnet: isMainnetValue,
    nativeBalance: true,
    tokenType: "fungible"
  });
  $$unsubscribe_getTokensRequest = subscribe(getTokensRequest, (value) => $getTokensRequest = value);
  const getSolPrice = client.price.createQuery(SOL);
  $$unsubscribe_getSolPrice = subscribe(getSolPrice, (value) => $getSolPrice = value);
  getTokensRequestItems = $getTokensRequest?.data?.items ?? [];
  lamports = $getTokensRequest?.data?.nativeBalance?.lamports ?? 0;
  solToken = toUISolAccountToken(lamports, $getSolPrice.data);
  partialTokens = getTokensRequestItems.map(toUIAccountToken);
  tokens = [solToken, ...partialTokens].toSorted((a, b) => b.balanceInUSD - a.balanceInUSD);
  $$unsubscribe_getSolPrice();
  $$unsubscribe_getTokensRequest();
  $$unsubscribe_page();
  return `<div>${$getTokensRequest ? `${each(tokens, (token) => {
    return `${!isSol(token) ? `${token.decimals > 0 ? `${validate_component(Token_provider, "TokenProvider").$$render(
      $$result,
      {
        token: token.fullMetadata,
        status: {
          isError: $getTokensRequest.isError,
          isLoading: $getTokensRequest.isLoading
        }
      },
      {},
      {
        default: ({ metadata }) => {
          return `<a class="mb-4 grid grid-cols-12 items-center gap-3 rounded-lg border px-3 py-2 hover:border-primary" href="${"/token/" + escape(token.id, true)}"><div class="col-span-2 p-1 md:col-span-1">
                                <div style="${"background-image: url('" + escape(metadata.image, true) + "'), url(" + escape(fallback, true) + ")"}" class="aspect-square w-full rounded-lg bg-cover bg-no-repeat"></div></div>
                            <div class="col-span-10 flex items-center justify-between text-right md:col-span-11"><div><h4 class="font-semibold md:text-sm">${escape(metadata?.name || "Unrecognised Token  ")}
                                    </h4></div>
                                <div><h4 class="font-semibold md:text-sm">${escape((token.balance / 10 ** token.decimals).toLocaleString())}</h4>
                                    <h4 class="text-xs opacity-50">${token.price ? `${escape(formatMoney(token.balanceInUSD))}` : ``}
                                    </h4></div>
                            </div></a>
                    `;
        }
      }
    )}` : ``}` : `<a class="mb-4 grid grid-cols-12 items-center gap-3 rounded-lg border px-3 py-2 hover:border-primary" href="${"/token/" + escape(token.id, true)}"><div class="col-span-2 p-1 md:col-span-1">
                        <div style="background-image: url(/media/tokens/solana.png)" class="aspect-square w-full rounded-lg bg-cover"></div></div>
                    <div class="col-span-10 flex items-center justify-between text-right md:col-span-11"><div><h4 class="font-semibold md:text-sm">SOL</h4></div>
                        <div><h4 class="font-semibold md:text-sm">${escape(token.balance.toLocaleString())}</h4>

                            <h4 class="text-xs opacity-50">${escape(formatMoney(token.balanceInUSD))}</h4>
                        </div></div>
                </a>`}`;
  })}` : `${each(Array(3), (_) => {
    return `<div class="mb-3 grid animate-pulse grid-cols-12 items-center gap-3 rounded-lg"><div class="col-span-2 p-1 md:col-span-1"><div class="aspect-square w-full rounded-full bg-secondary"></div></div>
                <div class="col-span-10 flex items-center justify-between md:col-span-11"><div><div class="mb-2 h-3 w-32 animate-pulse rounded-full bg-secondary"></div>
                        <div class="h-2 w-20 animate-pulse rounded-full bg-secondary"></div></div>
                    <div class="h-2 w-5 animate-pulse rounded-full bg-secondary"></div></div>
            </div>`;
  })}`}</div>`;
});
export {
  Page as default
};
