import { c as create_ssr_component, b as subscribe, e as escape, d as each, v as validate_component, j as noop } from "../../../../chunks/index3.js";
import { p as page } from "../../../../chunks/stores.js";
import { t as trpcWithQuery } from "../../../../chunks/client.js";
import { I as Icon_card } from "../../../../chunks/icon-card.js";
import { T as Transaction } from "../../../../chunks/transaction.js";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let transactions;
  let transactionPages;
  let lastPage;
  let lastPageHasTransactions;
  let $page, $$unsubscribe_page;
  let $transactions, $$unsubscribe_transactions = noop, $$subscribe_transactions = () => ($$unsubscribe_transactions(), $$unsubscribe_transactions = subscribe(transactions, ($$value) => $transactions = $$value), transactions);
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  let cachedSlot = "";
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const createTransactionQuery = (input) => client.blockTransactions.createInfiniteQuery(input, {
    getNextPageParam: (lastPage2) => lastPage2.oldest,
    refetchOnMount: false,
    refetchOnWindowFocus: false
  });
  $$subscribe_transactions(transactions = createTransactionQuery({
    isMainnet: isMainnetValue,
    slot: parseInt($page.params.slot)
  }));
  transactionPages = $transactions.data?.pages || [];
  {
    if (cachedSlot !== $page.params.slot) {
      cachedSlot = $page.params.slot;
      $$subscribe_transactions(transactions = createTransactionQuery({
        isMainnet: isMainnetValue,
        slot: parseInt($page.params.slot)
      }));
    }
  }
  lastPage = transactionPages[transactionPages.length - 1];
  lastPageHasTransactions = lastPage ? transactionPages[transactionPages.length - 1].result?.length : false;
  $$unsubscribe_page();
  $$unsubscribe_transactions();
  return `<div class="max-w-screen content pt-5"><div class="relative mx-auto w-full max-w-2xl pb-32"><div class="nav sticky top-16 z-30 bg-base-100 px-3 pt-2"><div class="flex flex-wrap items-center justify-between bg-base-100"><div><h3 class="relative m-0 text-lg font-bold md:text-2xl">Slot ${escape(parseInt($page.params.slot).toLocaleString())}</h3></div></div></div>

        <div><div class="mx-3 mb-5 mt-3 flex items-center justify-between rounded-lg border"><div class="tabs w-full pt-1 md:w-auto"><div></div>
                    <a href="/" class="tab-bordered tab tab-active">Transactions
                    </a></div></div></div>

        <div class="px-3">${$transactions.isLoading ? `${each(Array(3), (_) => {
    return `<div class="py-2">${validate_component(Icon_card, "IconCard").$$render($$result, {}, {}, {})}
                    </div>`;
  })}` : `${transactionPages.length === 1 && !lastPageHasTransactions ? `<p class="opacity-50">No transactions</p>` : `${each(transactionPages, (transactionsList) => {
    return `${each(transactionsList.result, (transaction, idx) => {
      return `${transaction?.signature ? `${idx < 8 ? `<div class="mb-8">${validate_component(Transaction, "Transaction").$$render($$result, { transaction }, {}, {})}
                                </div>` : `<div class="mb-10">${validate_component(Transaction, "Transaction").$$render($$result, { transaction }, {}, {})}
                                </div>`}` : ``}`;
    })}`;
  })}`}`}</div>
        ${$transactions.hasNextPage && lastPageHasTransactions ? `<div class="flex justify-center"><button class="${[
    "btn-outline btn",
    ($transactions.isFetching ? "loading" : "") + " " + ($transactions.isFetching ? "disabled" : "")
  ].join(" ").trim()}">Load More</button></div>` : ``}</div></div>`;
});
export {
  Page as default
};
