import { c as create_ssr_component, b as subscribe, v as validate_component, a as add_attribute, j as noop, d as each, e as escape } from "../../../../chunks/index3.js";
import { p as page } from "../../../../chunks/stores.js";
import { g as getMimeType, C as Collapse, b as basisPointsToPercentage, J as Json } from "../../../../chunks/percentage.js";
import { C as Copy_button } from "../../../../chunks/copy-button.js";
import "@solana/web3.js";
import { S as SOL } from "../../../../chunks/types.js";
import "@onsol/tldparser";
import { getExtension, ExtensionType, Standard, State, DelegateRole } from "@nifty-oss/asset";
import { t as trpcWithQuery } from "../../../../chunks/client.js";
import { I as IntersectionObserver } from "../../../../chunks/IntersectionObserver.js";
import { w as writable } from "../../../../chunks/index2.js";
const Nifty_asset_provider = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let loading;
  let failed;
  let $account, $$unsubscribe_account = noop, $$subscribe_account = () => ($$unsubscribe_account(), $$unsubscribe_account = subscribe(account, ($$value) => $account = $$value), account);
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  let { address = void 0 } = $$props;
  let { asset = void 0 } = $$props;
  let { status = { isError: false, isLoading: true } } = $$props;
  let intersecting = false;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const client = trpcWithQuery($page);
  let account;
  if (address) {
    $$subscribe_account(account = client.niftyAsset.createQuery([address, isMainnetValue], {
      refetchOnMount: false,
      refetchOnWindowFocus: false
    }));
  }
  const updateAsset = (data) => {
    asset = data;
    if (asset) {
      const metadata = getExtension(asset, ExtensionType.Metadata);
      if (metadata && metadata.uri) {
        (async () => {
          try {
            asset.json = await fetchJsonMetadata(metadata.uri);
          } catch (error) {
            console.error("Error in fetchJsonMetadata:", error);
          }
        })();
      }
    }
  };
  const fetchJsonMetadata = async (jsonUri) => {
    try {
      const response = await fetch(jsonUri);
      if (!response.ok) {
        throw new Error(`Status ${response.status}`);
      }
      const contentType = response.headers.get("content-type");
      if (!contentType || !contentType.includes("application/json")) {
        throw new TypeError("Received non-JSON content type");
      }
      return await response.json();
    } catch (error) {
      console.error("Error fetching or parsing JSON metadata:", error);
      return "";
    }
  };
  let element;
  if ($$props.address === void 0 && $$bindings.address && address !== void 0)
    $$bindings.address(address);
  if ($$props.asset === void 0 && $$bindings.asset && asset !== void 0)
    $$bindings.asset(asset);
  if ($$props.status === void 0 && $$bindings.status && status !== void 0)
    $$bindings.status(status);
  let $$settled;
  let $$rendered;
  do {
    $$settled = true;
    {
      if ($account && $account.data) {
        status = {
          isError: $account.isError,
          isLoading: $account.isLoading
        };
        updateAsset($account.data[0]);
      }
    }
    loading = address !== SOL && status.isLoading;
    failed = status.isError;
    $$rendered = `<div>${validate_component(IntersectionObserver, "IntersectionObserver").$$render(
      $$result,
      { once: true, element, intersecting },
      {
        intersecting: ($$value) => {
          intersecting = $$value;
          $$settled = false;
        }
      },
      {
        default: () => {
          return `<div${add_attribute("this", element, 0)}></div>

        ${intersecting ? `${slots.default ? slots.default({ asset, loading, failed }) : ``}` : ``}`;
        }
      }
    )}</div>`;
  } while (!$$settled);
  $$unsubscribe_account();
  $$unsubscribe_page();
  return $$rendered;
});
const niftyAssetStore = writable(null);
const Loader = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  return `<div class="grid grid-cols-12 gap-3"><div class="col-span-12"><div class="flex h-7 w-full justify-center"><div class="my-2 h-3 w-20 animate-pulse rounded-full bg-secondary"></div></div></div>
    <div class="col-span-12"><div class="flex w-full justify-center"><div class="center card w-full md:w-1/2"><div class="h-56 w-56 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-10 mt-3"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="mt-3 h-2 w-2/4 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-10"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="mt-3 h-2 w-2/4 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-12"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="flex flex-wrap">${each([1, 2, 3, 4, 5], (i) => {
    return `<div class="card mr-2 mt-2 w-fit"><div class="h-3 w-14 animate-pulse rounded-full bg-secondary"></div>
                            <div class="mt-2 h-2 w-20 animate-pulse rounded-full bg-secondary"></div>
                        </div>`;
  })}</div></div></div></div>
    <div class="col-span-12"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="flex flex-wrap">${each([1, 2], (i) => {
    return `<div class="card mr-2 mt-2 w-fit"><div class="h-3 w-14 animate-pulse rounded-full bg-secondary"></div>
                            <div class="mt-2 h-2 w-20 animate-pulse rounded-full bg-secondary"></div>
                        </div>`;
  })}</div></div></div></div></div>`;
});
const _page_svelte_svelte_type_style_lang = "";
const css = {
  code: '.nav.svelte-6i0lle::before{content:"";position:absolute;bottom:0;left:0;height:100%;width:100vw;transform:translate(-50%, 0);background-color:black}.img.svelte-6i0lle{max-height:55vh}',
  map: null
};
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const address = $page.params.asset;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  const KNOWN_IMAGE_EXTENSIONS = ["image/png", "image/jpeg", "image/gif", "image/svg+xml"];
  let asset;
  let mediaUrl = null;
  let mediaType = null;
  let mediaBlob = null;
  let attributes = void 0;
  let blob = void 0;
  let creators = void 0;
  let grouping = void 0;
  let links = void 0;
  let manager = void 0;
  let metadata = void 0;
  let proxy = void 0;
  let royalties = void 0;
  let hasExtensions = false;
  const setMedia = async (asset2) => {
    attributes = getExtension(asset2, ExtensionType.Attributes);
    blob = getExtension(asset2, ExtensionType.Blob);
    creators = getExtension(asset2, ExtensionType.Creators);
    grouping = getExtension(asset2, ExtensionType.Grouping);
    links = getExtension(asset2, ExtensionType.Links);
    manager = getExtension(asset2, ExtensionType.Manager);
    metadata = getExtension(asset2, ExtensionType.Metadata);
    proxy = getExtension(asset2, ExtensionType.Proxy);
    royalties = getExtension(asset2, ExtensionType.Royalties);
    hasExtensions = !!(attributes || blob || creators || grouping || links || manager || metadata || proxy || royalties);
    if (blob && KNOWN_IMAGE_EXTENSIONS.includes(blob.contentType)) {
      mediaBlob = Buffer.from(blob.data).toString("base64");
      mediaType = "onchain";
    }
    if (asset2.json && asset2.json.image) {
      mediaUrl = asset2.json.image;
      mediaType = "image";
      const mimeType = await getMimeType(asset2.json.image);
      if (mimeType && mimeType.startsWith("video/")) {
        mediaType = "video";
      }
    }
  };
  niftyAssetStore.subscribe((asset2) => {
    if (asset2)
      setMedia(asset2);
  });
  $$result.css.add(css);
  let $$settled;
  let $$rendered;
  do {
    $$settled = true;
    {
      if (asset) {
        niftyAssetStore.set(asset);
      }
    }
    $$rendered = `${validate_component(Nifty_asset_provider, "NiftyAssetProvider").$$render(
      $$result,
      { address, asset },
      {
        asset: ($$value) => {
          asset = $$value;
          $$settled = false;
        }
      },
      {
        default: ({ loading }) => {
          return `${loading ? `<div class="content">${validate_component(Loader, "PageLoader").$$render($$result, {}, {}, {})}</div>` : `<div class="nav content sticky top-14 z-30 bg-base-100 px-3 py-2 svelte-6i0lle"><div class="relative flex flex-wrap items-center justify-between bg-base-100"><div><h3 class="m-0 text-xl font-bold md:text-3xl">${escape(asset.name)}</h3></div>

                <div><div class="flex items-center space-x-2">${asset.json && asset.json.image ? `<a${add_attribute("href", asset.json.image, 0)} target="_blank" class="btn-sm btn border-0 bg-black">View Media
                            </a>` : ``}
                        ${validate_component(Copy_button, "CopyButton").$$render($$result, { text: $page.params.search }, {}, {})}
                        ${validate_component(Copy_button, "CopyButton").$$render($$result, { text: $page.url.href, icon: "link" }, {}, {})}</div></div></div>
            <div class="relative flex flex-wrap items-center justify-between bg-base-100"><div class="flex items-center space-x-2"><div class="badge badge-outline uppercase">${escape(asset.mutable ? "mutable" : "immutable")}</div>
                    ${mediaType === "onchain" ? `<div class="badge badge-outline uppercase">on-chain media
                        </div>` : ``}
                    ${grouping ? `<div class="badge badge-outline uppercase">group</div>` : ``}
                    ${asset.standard !== Standard.NonFungible ? `<div class="badge badge-outline uppercase">${escape(Standard[asset.standard])}</div>` : ``}</div></div></div>

        <div class="content px-3">${mediaType ? `<div class="content px-3"><div class="flex flex-col items-center justify-center">${mediaType === "video" ? `
                            <div class="relative"><video class="m-auto my-3 h-auto w-full rounded-md object-contain" controls autoplay loop muted${add_attribute("src", mediaUrl, 0)}></video></div>` : `${mediaType === "image" ? `
                            <div class="relative"><img class="img m-auto my-3 h-auto w-full rounded-md object-contain svelte-6i0lle" alt="asset media"${add_attribute("src", mediaUrl, 0)}></div>` : `${mediaType === "onchain" ? `
                            <div class="relative"><img class="img m-auto my-3 h-auto w-full rounded-md object-contain svelte-6i0lle"${add_attribute("src", `data:${blob?.contentType};base64,${mediaBlob}`, 0)} alt="on-chain asset media"></div>` : `
                            <div>Loading...</div>`}`}`}</div></div>` : ``}
            
            <div class="mt-3"><div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Details",
              iconId: "info",
              showDetails: true
            },
            {},
            {
              default: () => {
                return `<div class="grid gap-2"><a class="card p-0" href="${"/account/" + escape(asset.authority, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Authority</h4></header>
                                <p class="text-sm">${escape(asset.authority)}</p></a>
                            <a class="card p-0" href="${"/account/" + escape(asset.owner, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Owner</h4></header>
                                <p class="text-sm">${escape(asset.owner)}</p></a>
                            ${asset.group ? `<a class="card p-0" href="${"/nifty-asset/" + escape(asset.group, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Group</h4></header>
                                    <p class="text-sm">${escape(asset.group)}</p></a>` : `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Group</h4></header>
                                    <p class="text-sm">None</p></div>`}
                            ${asset.delegate ? `<a class="card p-0" href="${"/account/" + escape(asset.delegate, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex gap-2 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4>
                                        ${each(asset.delegate.roles, (role) => {
                  return `<div class="badge badge-outline uppercase">${escape(DelegateRole[role])}
                                            </div>`;
                })}</header>
                                    <p class="text-sm">${escape(asset.delegate)}</p></a>` : `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4></header>
                                    <p class="text-sm">None</p></div>`}
                            <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">State
                                </h4>
                                <p class="text-sm">${escape(asset.state === State.Locked ? "Locked" : "Unlocked")}</p></div></div>`;
              }
            }
          )}</div></div>
            
            ${asset.json || metadata ? `<div class="mt-3"><div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Description",
              iconId: "person"
            },
            {},
            {
              default: () => {
                return `<p>${asset.json && asset.json.description && asset.json.description.length > 0 ? `${escape(asset.json.description)}` : `${metadata && metadata.description ? `${escape(metadata.description)}` : ``}`}</p>`;
              }
            }
          )}</div></div>` : ``}
            
            ${royalties ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Creator Royalties",
              sectionAditionalInfo: basisPointsToPercentage(Number(royalties.basisPoints)),
              iconId: "percentage"
            },
            {},
            {
              default: () => {
                return `<p>${escape(asset.name ?? "The")} creator(s) currently expect to
                            take ${escape(basisPointsToPercentage(Number(royalties.basisPoints)))} of every secondary sale on this piece.
                        </p>`;
              }
            }
          )}</div>
                
                ${royalties.constraint.type !== "Empty" ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Royalties Rule Set",
              iconId: "json",
              showDetails: false
            },
            {},
            {
              default: () => {
                return `${validate_component(Json, "JSON").$$render(
                  $$result,
                  {
                    data: royalties.constraint,
                    label: "token"
                  },
                  {},
                  {}
                )}`;
              }
            }
          )}</div>` : ``}` : ``}
            
            ${creators && creators.creators.length > 0 ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Creators",
              sectionAditionalInfo: creators.creators.length,
              iconId: "creator"
            },
            {},
            {
              default: () => {
                return `<div class="grid gap-2">${each(creators.creators, (creator, idx) => {
                  return `<a class="card p-0" href="${"/account/" + escape(creator.address, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium text-gray-500"><h4>CREATOR ${escape(idx + 1)}</h4>
                                        <abbr${add_attribute("title", `Creator ${idx + 1} royalties percentage`, 0)}><h4>${escape(creator.share)}%
                                            </h4>
                                        </abbr></header>
                                    <p class="text-sm">${escape(creator.address)}</p>
                                </a>`;
                })}</div>`;
              }
            }
          )}</div>` : ``}
            
            ${asset.json ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "JSON Metadata",
              iconId: "json",
              showDetails: false
            },
            {},
            {
              default: () => {
                return `${validate_component(Json, "JSON").$$render($$result, { data: asset.json, label: "token" }, {}, {})}`;
              }
            }
          )}</div>` : ``}
            
            ${hasExtensions ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Extensions",
              iconId: "box",
              showDetails: false
            },
            {},
            {
              default: () => {
                return `<p>List of extensions attached to this asset.</p>
                        ${attributes ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                  $$result,
                  {
                    sectionTitle: "Attributes",
                    iconId: "attributes"
                  },
                  {},
                  {
                    default: () => {
                      return `<div class="flex flex-wrap gap-2">${each(attributes.traits, (attribute, idx) => {
                        return `<div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">${escape(attribute.traitType)}</h4>
                                                <p class="text-sm">${escape(attribute.value)}</p>
                                            </div>`;
                      })}</div>`;
                    }
                  }
                )}</div>` : ``}
                        ${blob ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render($$result, { sectionTitle: "Blob", iconId: "dots" }, {}, {
                  default: () => {
                    return `<div class="grid gap-2">${mediaType !== "onchain" && mediaBlob ? `<div class="relative"><img class="img m-auto my-3 rounded-md object-contain svelte-6i0lle"${add_attribute("src", `data:${blob?.contentType};base64,${mediaBlob}`, 0)} alt="on-chain asset media"></div>` : ``}
                                        <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Content-Type
                                            </h4>
                                            <p class="text-sm">${escape(blob.contentType)}</p></div>
                                        <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Data Size
                                            </h4>
                                            <p class="text-sm">${escape(blob.data.length)} bytes
                                            </p></div></div>`;
                  }
                })}</div>` : ``}
                        ${creators ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                  $$result,
                  {
                    sectionTitle: "Creators",
                    sectionAditionalInfo: creators.creators.length,
                    iconId: "creator"
                  },
                  {},
                  {
                    default: () => {
                      return `<div class="grid gap-2">${each(creators.creators, (creator, idx) => {
                        return `<a class="card p-0" href="${"/account/" + escape(creator.address, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium text-gray-500"><h4>CREATOR ${escape(idx + 1)}</h4>
                                                    <abbr${add_attribute("title", `Creator ${idx + 1} royalties percentage`, 0)}><h4>${escape(creator.share)}%
                                                        </h4>
                                                    </abbr></header>
                                                <p class="text-sm">${escape(creator.address)}</p>
                                            </a>`;
                      })}</div>`;
                    }
                  }
                )}</div>` : ``}
                        ${grouping ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                  $$result,
                  {
                    sectionTitle: "Grouping",
                    iconId: "collection"
                  },
                  {},
                  {
                    default: () => {
                      return `<div class="grid gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Size
                                            </h4>
                                            <p class="text-sm">${escape(grouping.size)}</p></div>
                                        <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Maximum Size
                                            </h4>
                                            <p class="text-sm">${escape(grouping.maxSize)}</p></div>
                                        ${grouping.delegate ? `<a class="card p-0" href="${"/account/" + escape(grouping.delegate, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4></header>
                                                <p class="text-sm">${escape(grouping.delegate)}</p></a>` : `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4></header>
                                                <p class="text-sm">None</p></div>`}</div>`;
                    }
                  }
                )}</div>` : ``}
                        ${links ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render($$result, { sectionTitle: "Links", iconId: "link" }, {}, {
                  default: () => {
                    return `<div class="grid gap-2">${each(links.values, (link) => {
                      return `<a class="card p-0"${add_attribute("href", link.uri, 0)}><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>${escape(link.name)}</h4></header>
                                                <p class="text-sm">${escape(link.uri)}</p>
                                            </a>`;
                    })}</div>`;
                  }
                })}</div>` : ``}
                        ${manager ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                  $$result,
                  {
                    sectionTitle: "Manager",
                    iconId: "person"
                  },
                  {},
                  {
                    default: () => {
                      return `<a class="card p-0" href="${"/account/" + escape(manager.delegate, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex gap-2 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4>
                                            ${each(manager.delegate.roles, (role) => {
                        return `<div class="badge badge-outline uppercase">${escape(DelegateRole[role])}
                                                </div>`;
                      })}</header>
                                        <p class="text-sm">${escape(manager.delegate)}</p></a>`;
                    }
                  }
                )}</div>` : ``}
                        ${metadata ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render($$result, { sectionTitle: "Metadata", iconId: "list" }, {}, {
                  default: () => {
                    return `<div class="grid gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Symbol
                                            </h4>
                                            <p class="text-sm">${escape(metadata.symbol.length > 0 ? metadata.symbol : "None")}</p></div>
                                        <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Description
                                            </h4>
                                            <p class="text-sm">${escape(metadata.description.length > 0 ? metadata.description : "None")}</p></div>
                                        ${metadata.uri.length > 0 ? `<a class="card p-0"${add_attribute("href", metadata.uri, 0)}><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>URI</h4></header>
                                                <p class="text-sm">${escape(metadata.uri)}</p></a>` : `<div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">URI
                                                </h4>
                                                <p class="text-sm">None</p></div>`}</div>`;
                  }
                })}</div>` : ``}
                        ${proxy ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render($$result, { sectionTitle: "Proxy", iconId: "network" }, {}, {
                  default: () => {
                    return `<a class="card p-0" href="${"/account/" + escape(proxy.program, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Program</h4></header>
                                        <p class="text-sm">${escape(proxy.program)}</p></a>
                                    <div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium text-gray-500"><h4>Seeds</h4>
                                            ${validate_component(Copy_button, "CopyButton").$$render(
                      $$result,
                      {
                        text: proxy.seeds.toString(),
                        icon: "link"
                      },
                      {},
                      {}
                    )}</header>
                                        <p class="text-sm">${escape(proxy.seeds)}</p></div>
                                    <div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Bump</h4></header>
                                        <p class="text-sm">${escape(proxy.bump)}</p></div>
                                    ${proxy.authority ? `<a class="card p-0" href="${"/account/" + escape(proxy.authority, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Authority</h4></header>
                                            <p class="text-sm">${escape(proxy.authority)}</p></a>` : `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Authority</h4></header>
                                            <p class="text-sm">None</p></div>`}`;
                  }
                })}</div>` : ``}
                        ${royalties ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                  $$result,
                  {
                    sectionTitle: "Royalties",
                    iconId: "percentage"
                  },
                  {},
                  {
                    default: () => {
                      return `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Seller Fee</h4></header>
                                        <p class="text-sm">${escape(royalties.basisPoints)}</p></div>
                                    ${royalties.constraint.type !== "Empty" ? `${validate_component(Json, "JSON").$$render(
                        $$result,
                        {
                          data: royalties.constraint,
                          label: "token"
                        },
                        {},
                        {}
                      )}` : `<div class="card p-0"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Constraint</h4></header>
                                            <p class="text-sm">Empty</p></div>`}`;
                    }
                  }
                )}</div>` : ``}`;
              }
            }
          )}</div>` : ``}</div>`}`;
        }
      }
    )}`;
  } while (!$$settled);
  $$unsubscribe_page();
  return $$rendered;
});
export {
  Page as default
};
