import { c as create_ssr_component, d as each, b as subscribe, v as validate_component, e as escape, a as add_attribute } from "../../../../chunks/index3.js";
import { p as page } from "../../../../chunks/stores.js";
import { b as basisPointsToPercentage, g as getMimeType, C as Collapse, J as Json } from "../../../../chunks/percentage.js";
import { s as shortenString } from "../../../../chunks/shorten-string.js";
import { T as Transactions } from "../../../../chunks/transactions.js";
import { C as Copy_button } from "../../../../chunks/copy-button.js";
import { T as Token_provider } from "../../../../chunks/token-provider.js";
import { w as writable } from "../../../../chunks/index2.js";
const Loader = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  return `<div class="grid grid-cols-12 gap-3"><div class="col-span-12"><div class="flex h-7 w-full justify-center"><div class="my-2 h-3 w-20 animate-pulse rounded-full bg-secondary"></div></div></div>
    <div class="col-span-12"><div class="flex w-full justify-center"><div class="center card w-full md:w-1/2"><div class="h-56 w-56 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-10 mt-3"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="mt-3 h-2 w-2/4 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-10"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="mt-3 h-2 w-2/4 animate-pulse rounded-full bg-secondary"></div></div></div></div>

    <div class="col-span-12"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="flex flex-wrap">${each([1, 2, 3, 4, 5], (i) => {
    return `<div class="card mr-2 mt-2 w-fit"><div class="h-3 w-14 animate-pulse rounded-full bg-secondary"></div>
                            <div class="mt-2 h-2 w-20 animate-pulse rounded-full bg-secondary"></div>
                        </div>`;
  })}</div></div></div></div>
    <div class="col-span-12"><div class="flex w-full items-center justify-between"><div class="w-3/4"><div class="my-2 h-3 w-1/4 animate-pulse rounded-full bg-secondary"></div>
                <div class="flex flex-wrap">${each([1, 2], (i) => {
    return `<div class="card mr-2 mt-2 w-fit"><div class="h-3 w-14 animate-pulse rounded-full bg-secondary"></div>
                            <div class="mt-2 h-2 w-20 animate-pulse rounded-full bg-secondary"></div>
                        </div>`;
  })}</div></div></div></div></div>`;
});
const metadataStore = writable(null);
const formatKey = (key) => key.replace(/_/g, " ").split(" ").map((word) => word.charAt(0).toUpperCase() + word.slice(1)).join(" ");
const formatObject = (obj, indentLevel = 0) => {
  const entries = Object.entries(obj).map(([key, value]) => {
    const formattedKey = formatKey(key);
    const boldClass = indentLevel === 0 ? "font-bold" : "";
    const valueClass = indentLevel > 0 ? "text-green-600" : "";
    const formattedValue = typeof value === "object" && value !== null && !Array.isArray(value) ? formatObject(value, indentLevel + 1) : `<span class="${valueClass}">${value}</span>`;
    return `<div>${" ".repeat(
      indentLevel * 4
    )}<span class="${boldClass}">${formattedKey}${typeof value === "object" ? "" : ":"}</span> ${formattedValue}</div>`;
  });
  return entries.join(indentLevel === 0 ? '<div class="my-2"></div>' : "");
};
const _page_svelte_svelte_type_style_lang = "";
const css = {
  code: '.nav.svelte-6i0lle::before{content:"";position:absolute;bottom:0;left:0;height:100%;width:100vw;transform:translate(-50%, 0);background-color:black}.img.svelte-6i0lle{max-height:55vh}',
  map: null
};
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let formattedMintExtensions;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  const address = $page.params.token;
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  let metadata;
  let mediaUrl = null;
  let mediaType = null;
  const setMedia = async (metadata2) => {
    if (metadata2.image) {
      const mimeType = await getMimeType(metadata2.image);
      if (mimeType && mimeType.startsWith("video/")) {
        mediaUrl = metadata2.image;
        mediaType = "video";
        return;
      }
      if (metadata2.video_uri) {
        mediaUrl = metadata2.video_uri;
        mediaType = "video";
        return;
      }
      if (metadata2.image) {
        mediaUrl = metadata2.image;
        mediaType = "image";
      }
    }
  };
  metadataStore.subscribe((metadata2) => {
    if (metadata2)
      setMedia(metadata2);
  });
  $$result.css.add(css);
  let $$settled;
  let $$rendered;
  do {
    $$settled = true;
    {
      if (metadata) {
        metadataStore.set(metadata);
      }
    }
    formattedMintExtensions = metadata?.mintExtensions ? formatObject(metadata.mintExtensions) : "";
    $$rendered = `${validate_component(Token_provider, "TokenProvider").$$render(
      $$result,
      { address, metadata },
      {
        metadata: ($$value) => {
          metadata = $$value;
          $$settled = false;
        }
      },
      {
        default: ({ tokenIsLoading }) => {
          return `${tokenIsLoading ? `<div class="content">${validate_component(Loader, "PageLoader").$$render($$result, {}, {}, {})}</div>` : `<div class="nav content sticky top-14 z-30 bg-base-100 px-3 py-2 svelte-6i0lle"><div class="relative flex flex-wrap items-center justify-between bg-base-100"><div><h3 class="m-0 text-xl font-bold md:text-3xl">${escape(metadata.name)}</h3></div>

                <div><div class="flex items-center space-x-2">${metadata.image ? `<a${add_attribute("href", metadata.image, 0)} target="_blank" class="btn-sm btn border-0 bg-black">View Media
                            </a>` : ``}
                        ${validate_component(Copy_button, "CopyButton").$$render($$result, { text: $page.params.search }, {}, {})}
                        ${validate_component(Copy_button, "CopyButton").$$render($$result, { text: $page.url.href, icon: "link" }, {}, {})}</div></div></div></div>

        <div class="content px-3"><div class="flex flex-col items-center justify-center">${mediaType === "video" ? `
                    <div class="relative"><video class="m-auto my-3 h-auto w-full rounded-md object-contain" controls autoplay loop muted${add_attribute("src", mediaUrl, 0)}></video></div>` : `${mediaType === "image" ? `
                    <div class="relative"><img class="img m-auto my-3 h-auto w-full rounded-md object-contain svelte-6i0lle" alt="token symbol"${add_attribute("src", mediaUrl, 0)}></div>` : `
                    <div>Loading...</div>`}`}</div>

            ${metadata.description ? `<div class="mt-3"><div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Description",
              iconId: "person",
              showDetails: true
            },
            {},
            {
              default: () => {
                return `<p>${escape(metadata.description)}</p>`;
              }
            }
          )}</div>
                    ${metadata.collectionKey ? `${validate_component(Token_provider, "TokenProvider").$$render($$result, { address: metadata.collectionKey }, {}, {
            default: ({ metadata: metadata2 }) => {
              return `${metadata2.name ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
                $$result,
                {
                  sectionTitle: "Collection",
                  iconId: "collection",
                  showDetails: true
                },
                {},
                {
                  default: () => {
                    return `<p>${escape(metadata2.name ? metadata2.name : "Unknown")}</p>`;
                  }
                }
              )}</div>` : ``}`;
            }
          })}` : ``}</div>` : ``}
            ${metadata.attributes && metadata.attributes.length ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Properties",
              iconId: "attributes",
              showDetails: true
            },
            {},
            {
              default: () => {
                return `<div class="flex flex-wrap gap-2">${each(metadata.attributes, (attribute, idx) => {
                  return `<div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">${escape(attribute.trait_type || attribute.traitType)}</h4>
                                    <p class="text-sm">${escape(attribute.value)}</p>
                                </div>`;
                })}</div>`;
              }
            }
          )}</div>` : ``}

            ${metadata.sellerFeeBasisPoints ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Creator Royalties",
              sectionAditionalInfo: basisPointsToPercentage(metadata.sellerFeeBasisPoints),
              iconId: "percentage"
            },
            {},
            {
              default: () => {
                return `<p>${escape(metadata.name ?? "The")} creator(s) currently expect
                            to take ${escape(basisPointsToPercentage(metadata.sellerFeeBasisPoints))} of every secondary sale on this piece.
                        </p>`;
              }
            }
          )}</div>` : ``}
            ${metadata.owner ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render($$result, { sectionTitle: "Ownership", iconId: "key" }, {}, {
            default: () => {
              return `<div class="flex flex-wrap gap-2"><a class="card p-0" href="${"/account/" + escape(metadata.owner, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Owner</h4></header>
                                <p class="text-sm">${escape(shortenString(metadata.owner))}</p></a>
                            <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Mutable
                                </h4>
                                <p class="text-sm">${escape(metadata.mutable ? "true" : "false")}</p></div>
                            <div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Frozen
                                </h4>
                                <p class="text-sm">${escape(metadata.frozen ? "true" : "false")}</p></div>
                            ${metadata.delegate ? `<a class="card p-0" href="${"/account/" + escape(metadata.owner, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Delegate</h4></header>
                                    <p class="text-sm">${escape(shortenString(metadata.delegate))}</p></a>` : `<div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Delegate
                                    </h4>
                                    <p class="text-sm">false</p></div>`}</div>`;
            }
          })}</div>` : ``}
            ${metadata.creators && metadata.creators.length > 0 ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Creators",
              sectionAditionalInfo: metadata.creators.length,
              iconId: "creator"
            },
            {},
            {
              default: () => {
                return `<div class="flex flex-wrap gap-2">${each(metadata.creators, (creator, idx) => {
                  return `<a class="card p-0" href="${"/account/" + escape(creator.address, true) + "?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium text-gray-500"><h4>CREATOR ${escape(idx + 1)}</h4>
                                        <abbr${add_attribute("title", `Creator ${idx + 1} royalties percentage`, 0)}><h4>${escape(creator.share)}%
                                            </h4>
                                        </abbr></header>
                                    <p class="text-sm">${escape(shortenString(creator.address))}</p>
                                </a>`;
                })}</div>`;
              }
            }
          )}</div>` : ``}
            ${metadata.compressed ? `<div class="mt-3">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Compression",
              iconId: "tree"
            },
            {},
            {
              default: () => {
                return `<div class="flex flex-wrap gap-2"><a class="card p-0" href="${"/account/" + escape(metadata.tree, true) + "/concurrent-merkle-tree?network=" + escape(isMainnetValue ? "mainnet" : "devnet", true)}"><header class="flex items-center justify-between gap-6 text-sm font-medium uppercase text-gray-500"><h4>Tree ID</h4></header>
                                <p class="text-sm">${escape(shortenString(metadata.tree))}</p></a>
                            <div class="flex flex-wrap gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Sequence
                                    </h4>
                                    <p class="text-sm">${escape(metadata.seq?.toLocaleString())}</p></div></div>
                            <div class="flex flex-wrap gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Leaf ID
                                    </h4>
                                    <p class="text-sm">${escape(metadata.leafId?.toLocaleString())}</p></div></div>
                            <div class="flex flex-wrap gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Data Hash
                                    </h4>
                                    <p class="text-sm">${escape(metadata.dataHash)}</p></div></div>
                            <div class="flex flex-wrap gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Asset Hash
                                    </h4>
                                    <p class="text-sm">${escape(metadata.assetHash)}</p></div></div>
                            <div class="flex flex-wrap gap-2"><div class="card p-0"><h4 class="text-sm font-medium uppercase text-gray-500">Creator Hash
                                    </h4>
                                    <p class="text-sm">${escape(metadata.creatorHash)}</p></div></div></div>`;
              }
            }
          )}</div>` : ``}

            <div class="mb-6 mt-6">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "JSON Metadata",
              iconId: "json",
              showDetails: false
            },
            {},
            {
              default: () => {
                return `${validate_component(Json, "JSON").$$render($$result, { data: metadata, label: "token" }, {}, {})}`;
              }
            }
          )}</div>

            ${formattedMintExtensions ? `<div class="mb-6 mt-6">${validate_component(Collapse, "Collapse").$$render(
            $$result,
            {
              sectionTitle: "Mint Extensions",
              iconId: "codeFork",
              showDetails: false
            },
            {},
            {
              default: () => {
                return `<div class="overflow-x-auto whitespace-pre-wrap text-sm"><!-- HTML_TAG_START -->${formattedMintExtensions}<!-- HTML_TAG_END --></div>`;
              }
            }
          )}</div>` : ``}

            <div class="mt-3 pl-2 md:pl-0">${validate_component(Transactions, "Transactions").$$render(
            $$result,
            {
              account: address,
              compressed: metadata.compressed
            },
            {},
            {}
          )}</div></div>`}`;
        }
      }
    )}`;
  } while (!$$settled);
  $$unsubscribe_page();
  return $$rendered;
});
export {
  Page as default
};
