import { c as create_ssr_component, a as add_attribute, e as escape, b as subscribe, v as validate_component, j as noop } from "../../../../chunks/index3.js";
import { p as page } from "../../../../chunks/stores.js";
import { t as trpcWithQuery } from "../../../../chunks/client.js";
import { StakeProgram, SystemProgram, VOTE_PROGRAM_ID, Secp256k1Program, Ed25519Program, BPF_LOADER_DEPRECATED_PROGRAM_ID, BPF_LOADER_PROGRAM_ID, SYSVAR_CLOCK_PUBKEY, SYSVAR_RENT_PUBKEY, SYSVAR_REWARDS_PUBKEY, SYSVAR_STAKE_HISTORY_PUBKEY } from "@solana/web3.js";
import "../../../../chunks/types.js";
import "@onsol/tldparser";
import "@nifty-oss/asset";
import { C as Copy_button } from "../../../../chunks/copy-button.js";
import "json-format-highlight";
import "helius-sdk";
const Network = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let isMainnetValue = true;
  return `<div class="toggle-container m-auto mt-2 flex w-full flex-col justify-center p-4"><label class="toggle-label m-auto flex flex-col"><input type="checkbox" class="toggle flex justify-center"${add_attribute("checked", isMainnetValue, 1)}>
        <span class="toggle-mark"></span></label>
    <span class="network-text m-auto my-1 flex font-bold">${escape("Mainnet")}</span></div>`;
});
const Circle_svelte_svelte_type_style_lang = "";
const css = {
  code: ".circle.svelte-ffx3a4{height:var(--size);width:var(--size);border-color:var(--color) transparent var(--color) var(--color);border-width:calc(var(--size) / 15);border-style:solid;-o-border-image:initial;border-image:initial;border-radius:50%;animation:var(--duration) linear 0s infinite normal none running svelte-ffx3a4-rotate}.pause-animation.svelte-ffx3a4{animation-play-state:paused}@keyframes svelte-ffx3a4-rotate{0%{transform:rotate(0)}100%{transform:rotate(360deg)}}",
  map: null
};
const Circle = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { color = "#FF3E00" } = $$props;
  let { unit = "px" } = $$props;
  let { duration = "0.75s" } = $$props;
  let { size = "60" } = $$props;
  let { pause = false } = $$props;
  if ($$props.color === void 0 && $$bindings.color && color !== void 0)
    $$bindings.color(color);
  if ($$props.unit === void 0 && $$bindings.unit && unit !== void 0)
    $$bindings.unit(unit);
  if ($$props.duration === void 0 && $$bindings.duration && duration !== void 0)
    $$bindings.duration(duration);
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.pause === void 0 && $$bindings.pause && pause !== void 0)
    $$bindings.pause(pause);
  $$result.css.add(css);
  return `<div class="${["circle svelte-ffx3a4", pause ? "pause-animation" : ""].join(" ").trim()}" style="${"--size: " + escape(size, true) + escape(unit, true) + "; --color: " + escape(color, true) + "; --duration: " + escape(duration, true)}"></div>`;
});
const Circle2_svelte_svelte_type_style_lang = "";
const Circle3_svelte_svelte_type_style_lang = "";
const DoubleBounce_svelte_svelte_type_style_lang = "";
const GoogleSpin_svelte_svelte_type_style_lang = "";
const ScaleOut_svelte_svelte_type_style_lang = "";
const SpinLine_svelte_svelte_type_style_lang = "";
const Stretch_svelte_svelte_type_style_lang = "";
const BarLoader_svelte_svelte_type_style_lang = "";
const Jumper_svelte_svelte_type_style_lang = "";
const RingLoader_svelte_svelte_type_style_lang = "";
const SyncLoader_svelte_svelte_type_style_lang = "";
const Rainbow_svelte_svelte_type_style_lang = "";
const Firework_svelte_svelte_type_style_lang = "";
const Pulse_svelte_svelte_type_style_lang = "";
const Jellyfish_svelte_svelte_type_style_lang = "";
const Chasing_svelte_svelte_type_style_lang = "";
const Square_svelte_svelte_type_style_lang = "";
const Shadow_svelte_svelte_type_style_lang = "";
const Moon_svelte_svelte_type_style_lang = "";
const Plane_svelte_svelte_type_style_lang = "";
const Diamonds_svelte_svelte_type_style_lang = "";
const Clock_svelte_svelte_type_style_lang = "";
const Wave_svelte_svelte_type_style_lang = "";
const Puff_svelte_svelte_type_style_lang = "";
const ArrowDown_svelte_svelte_type_style_lang = "";
const ArrowUp_svelte_svelte_type_style_lang = "";
({
  "22Y43yTVxuUkoRKdm9thyRhQ3SdgQS7c7kB6UNCiaczD": {
    name: "Serum Swap Program"
    /* SERUM_SWAP */
  },
  "27haf8L6oxUeXrHrgEgsexjSY5hbVUWEmvv9Nyxg8vQv": {
    name: "Raydium Liquidity Pool Program v2"
    /* RAYDIUM_LP_2 */
  },
  [StakeProgram.programId.toBase58()]: {
    name: "Stake Program"
    /* STAKE */
  },
  [SystemProgram.programId.toBase58()]: {
    name: "System Program"
    /* SYSTEM */
  },
  [VOTE_PROGRAM_ID.toBase58()]: {
    name: "Vote Program"
    /* VOTE */
  },
  // native precompiles
  [Secp256k1Program.programId.toBase58()]: {
    name: "Secp256k1 SigVerify Precompile"
    /* SECP256K1 */
  },
  [Ed25519Program.programId.toBase58()]: {
    name: "Ed25519 SigVerify Precompile"
    /* ED25519 */
  },
  "3XXuUFfweXBwFgFfYaejLvZE4cGZiHgKiGfMtdxNzYmv": {
    name: "Clockwork Thread Program v1"
    /* CLOCKWORK_1 */
  },
  "5ZfZAwP2m93waazg8DkrrVmsupeiPEvaEHowiUP7UAbJ": {
    name: "Solanart - Global offers"
    /* SOLANART_GO */
  },
  "5fNfvyp5czQVX77yoACa3JJVEhdRaWjPuazuWgjhTqEH": {
    name: "Mango Program v2"
    /* MANGO_2 */
  },
  "675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8": {
    name: "Raydium AMM Program"
    /* RAYDIUM_AMM */
  },
  "7sPptkymzvayoSbLXzBsXEF8TSf3typNnAWkrKrDizNb": {
    name: "Mango ICO Program"
    /* MANGO_ICO */
  },
  "82yxjeMsvaURa4MbZZ7WZZHfobirZYkH1zF8fmeGtyaQ": {
    name: "Orca Aquafarm Program"
    /* ORCA_AQUAFARM */
  },
  "9HzJyW1qZsEiSfMUf6L2jo3CcTKAyBmSyKdwQeYisHrC": {
    name: "Raydium IDO Program"
    /* RAYDIUM_IDO */
  },
  "9W959DqEETiGZocYWCQPaJ6sBmUzgfxXfqGeTEdp3aQP": {
    name: "Orca Swap Program v2"
    /* ORCA_SWAP_2 */
  },
  "9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin": {
    name: "Serum Dex Program v3"
    /* SERUM_3 */
  },
  // spl
  ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL: {
    name: "Associated Token Program"
    /* ASSOCIATED_TOKEN */
  },
  // native built-ins
  AddressLookupTab1e1111111111111111111111111: {
    name: "Address Lookup Table Program"
    /* ADDRESS_LOOKUP_TABLE */
  },
  BJ3jrUzddfuSrZHXSCxMUUQsjKEyLmuuyZebkcaFp2fg: {
    name: "Serum Dex Program v1"
    /* SERUM_1 */
  },
  BrEAK7zGZ6dM71zUDACDqJnekihmwF15noTddWTsknjC: {
    name: "Break Solana Program"
    /* BREAK_SOLANA */
  },
  // other
  C64kTdg1Hzv5KoQmZrQRcm2Qz7PkxtFBgw7EpFhvYn8W: {
    name: "Acumen Program"
    /* ACUMEN */
  },
  CJsLwbP1iu5DuUikHEJnLfANgKy6stB2uFgvBBHoyxwz: {
    name: "Solanart"
    /* SOLANART */
  },
  CLoCKyJ6DXBJqqu2VWx9RLbgnwwR6BMHHuyasVmfMzBh: {
    name: "Clockwork Thread Program v2"
    /* CLOCKWORK_2 */
  },
  ComputeBudget111111111111111111111111111111: {
    name: "Compute Budget Program"
    /* COMPUTE_BUDGET */
  },
  Config1111111111111111111111111111111111111: {
    name: "Config Program"
    /* CONFIG */
  },
  CrX7kMhLC3cSsXJdT7JDgqrRVWGnUpX3gfEfxxU2NVLi: {
    name: "Lido for Solana Program"
    /* SOLIDO */
  },
  Crt7UoUR6QgrFrN7j8rmSQpUTNWNSitSwWvsWGf1qZ5t: {
    name: "Saber Router Program"
    /* SABER_ROUTER */
  },
  DjVE6JNiYqPL2QXyCUUh8rNjHrbz9hXHNYt99MQ59qw1: {
    name: "Orca Swap Program v1"
    /* ORCA_SWAP_1 */
  },
  Dooar9JkhdZ7J3LHN3A7YCuoGRUggXhQaG4kijfLGU2j: {
    name: "STEPN Dex"
    /* STEPN_DEX */
  },
  DtmE9D2CSB4L5D6A15mraeEjrGMm6auWVzgaD8hK2tZM: {
    name: "Switchboard Oracle Program"
    /* SWITCHBOARD */
  },
  EUqojwWA2rd19FZrzeBncJsm38Jm1hEhE3zsmX3bRc2o: {
    name: "Serum Dex Program v2"
    /* SERUM_2 */
  },
  EhhTKczWMGQt46ynNeRX1WfeagwwJd7ufHvCDjRxjo5Q: {
    name: "Raydium Staking Program"
    /* RAYDIUM_STAKING */
  },
  Feat1YXHhH6t1juaWF74WLcfv4XoNocjXA6sPWHNgAse: {
    name: "Feature Proposal Program"
    /* FEATURE_PROPOSAL */
  },
  FsJ3A3u2vn5cTVofAjvy6y5kwABJAqYWpe4975bi2epH: {
    name: "Pyth Oracle Program"
    /* PYTH_MAINNET */
  },
  GqTPL6qRf5aUuqscLh8Rg2HTxPUXfhhAXDptTLhp1t2J: {
    name: "Mango Governance Program"
    /* MANGO_GOVERNANCE */
  },
  HEvSKofvBgfaexv23kMabbYqxasxU3mQ4ibBMEmJWHny: {
    name: "Chainlink Store Program"
    /* CHAINLINK_STORE */
  },
  JD3bq9hGdy38PuWQ4h2YJpELmHVGPPfFSuFkpzAd9zfu: {
    name: "Mango Program v1"
    /* MANGO_1 */
  },
  LendZqTs7gn5CTSJU1jWKhKuVpjJGom45nnwPb2AMTi: {
    name: "Lending Program"
    /* LENDING */
  },
  MERLuDFBMmsHnsBPZw2sDQZHvXFMwp8EdjudcU2HKky: {
    name: "Mercurial Stable Swap Program"
    /* MERCURIAL */
  },
  MarBmsSgKXdrN1egZf5sqe1TMai9K1rChYNDJgjq7aD: {
    name: "Marinade Staking Program"
    /* MARINADE */
  },
  Memo1UhkJRfHyvLMcVucJwxXeuD728EqVDDwQDxFMNo: {
    name: "Memo Program"
    /* MEMO */
  },
  MemoSq4gqABAXKb96qnH8TysNcWxMyWCqXgDLGmfcHr: {
    name: "Memo Program v2"
    /* MEMO_2 */
  },
  Port7uDYB3wk6GJAw4KT1WpTeMtSu9bTcChBHkX2LfR: {
    name: "Port Finance Program"
    /* PORT */
  },
  QMMD16kjauP5knBwxNUJRZ1Z5o3deBuFrqVjBVmmqto: {
    name: "Quarry Merge Mine"
    /* QUARRY_MERGE_MINE */
  },
  QMNeHCGYnLVDn1icRAfQZpjPLBNkfGbSKRB83G5d8KB: {
    name: "Quarry Mine"
    /* QUARRY_MINE */
  },
  QMWoBmAyJLAsA1Lh9ugMTw2gciTihncciphzdNzdZYV: {
    name: "Quarry Mint Wrapper"
    /* QUARRY_MINT_WRAPPER */
  },
  QRDxhMw1P2NEfiw5mYXG79bwfgHTdasY2xNP76XSea9: {
    name: "Quarry Redeemer"
    /* QUARRY_REDEEMER */
  },
  QREGBnEj9Sa5uR91AV8u3FxThgP5ZCvdZUW2bHAkfNc: {
    name: "Quarry Registry"
    /* QUARRY_REGISTRY */
  },
  RVKd61ztZW9GUwhRbbLoYVRE5Xf1B2tVscKqwZqXgEr: {
    name: "Raydium Liquidity Pool Program v1"
    /* RAYDIUM_LP_1 */
  },
  SPoo1Ku8WFXoNDMHPsrGSTSG1Y47rzgn41SLUNakuHy: {
    name: "Stake Pool Program"
    /* STAKE_POOL */
  },
  SSwpMgqNDsyV7mAgN9ady4bDVu5ySjmmXejXvy2vLt1: {
    name: "Step Finance Swap Program"
    /* STEP_SWAP */
  },
  SSwpkEEcbUqx4vtoEByFjSkhKdCT862DNVb52nZg1UZ: {
    name: "Saber Stable Swap Program"
    /* SABER_SWAP */
  },
  SWiMDJYFUGj6cPrQ6QYYYWZtvXQdRChSVAygDZDsCHC: {
    name: "Swim Swap Program"
    /* SWIM_SWAP */
  },
  So1endDq2YkqhipRh3WViPa8hdiSpxWy6z3Z6tMCpAo: {
    name: "Solend Program"
    /* SOLEND */
  },
  SwaPpA9LAaLfeLi3a68M4DjnLqgtticKg6CnyNwgAC8: {
    name: "Swap Program"
    /* SWAP */
  },
  TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA: {
    name: "Token Program"
    /* TOKEN */
  },
  WnFt12ZrnzZrFZkt2xsNsaNWoQribnuQ5B5FrDbwDhD: {
    name: "Wormhole NFT Bridge"
    /* WORMHOLE_NFT */
  },
  WormT3McKhFJ2RkiGpdw9GKvNCrB2aB54gb2uV9MfQC: {
    name: "Wormhole"
    /* WORMHOLE */
  },
  WvmTNLpGMVbwJVYztYL4Hnsy82cJhQorxjnnXcRm3b6: {
    name: "Serum Pool"
    /* SERUM_POOL */
  },
  auctxRXPeJoc4817jDhf4HbjnhEcr1cCXenosMhK5R8: {
    name: "NFT Auction Program"
    /* NFT_AUCTION */
  },
  cjg3oHmg9uuPsP8D6g29NWvhySJkdYdAo9D25PRbKXJ: {
    name: "Chainlink OCR2 Oracle Program"
    /* CHAINLINK_ORACLE */
  },
  cmtDvXumGCrqC1Age74AVPhSRVXJMd8PJS91L8KbNCK: {
    name: "Account Compression Program"
    /* ACCOUNT_COMPRESSION */
  },
  cndy3Z4yapfJBmL3ShUp5exZKqR3z33thTzeNMm2gRZ: {
    name: "NFT Candy Machine Program V2"
    /* NFT_CANDY_MACHINE_V2 */
  },
  cndyAnrLdpjq1Ssp1z8xxDsB8dxe7u4HL5Nxi2K5WXZ: {
    name: "NFT Candy Machine Program"
    /* NFT_CANDY_MACHINE */
  },
  gSbePebfvPy7tRqimPoVecS2UsBvYv46ynrzWocc92s: {
    name: "Pyth Oracle Program"
    /* PYTH_DEVNET */
  },
  metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s: {
    name: "Token Metadata Program"
    /* TOKEN_METADATA */
  },
  mv3ekLzLbnVPNxjSKvqBpU3ZeZXPQdEC3bp5MDEBG68: {
    name: "Mango Program v3"
    /* MANGO_3 */
  },
  namesLPneVptA9Z5rqUDD9tMTWEJwofgaYwp8cawRkX: {
    name: "Name Service Program"
    /* NAME */
  },
  p1exdMJcjVao65QdewkaZRUnU6VPSXhus9n2GzWfh98: {
    name: "Metaplex Program"
    /* METAPLEX */
  },
  vau1zxA2LbssAUEF7Gpw91zMM1LvXrvpzJtmZ58rPsn: {
    name: "Token Vault Program"
    /* TOKEN_VAULT */
  },
  worm2ZoG2kUd4vFXhvjh93UUH596ayRfgQ2MgjNMTth: {
    name: "Wormhole Core Bridge"
    /* WORMHOLE_CORE */
  },
  wormDTUJ6AWPNvk59vGQbDvGJmqbDTdgWgAqcLBCgUb: {
    name: "Wormhole Token Bridge"
    /* WORMHOLE_TOKEN */
  }
});
({
  BPFLoaderUpgradeab1e11111111111111111111111: "BPF Upgradeable Loader",
  MoveLdr111111111111111111111111111111111111: "Move Loader",
  [BPF_LOADER_DEPRECATED_PROGRAM_ID.toBase58()]: "BPF Loader",
  [BPF_LOADER_PROGRAM_ID.toBase58()]: "BPF Loader 2",
  NativeLoader1111111111111111111111111111111: "Native Loader"
});
({
  [SYSVAR_CLOCK_PUBKEY.toBase58()]: "Sysvar: Clock",
  Sysvar1nstructions1111111111111111111111111: "Sysvar: Instructions",
  SysvarEpochSchedu1e111111111111111111111111: "Sysvar: Epoch Schedule",
  SysvarFees111111111111111111111111111111111: "Sysvar: Fees",
  [SYSVAR_RENT_PUBKEY.toBase58()]: "Sysvar: Rent",
  [SYSVAR_REWARDS_PUBKEY.toBase58()]: "Sysvar: Rewards",
  SysvarRecentB1ockHashes11111111111111111111: "Sysvar: Recent Blockhashes",
  SysvarS1otHashes111111111111111111111111111: "Sysvar: Slot Hashes",
  [SYSVAR_STAKE_HISTORY_PUBKEY.toBase58()]: "Sysvar: Stake History",
  SysvarS1otHistory11111111111111111111111111: "Sysvar: Slot History"
});
const logMessages_svelte_svelte_type_style_lang = "";
const Page = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $transaction, $$unsubscribe_transaction = noop, $$subscribe_transaction = () => ($$unsubscribe_transaction(), $$unsubscribe_transaction = subscribe(transaction, ($$value) => $transaction = $$value), transaction);
  let $rawTransaction, $$unsubscribe_rawTransaction;
  let $page, $$unsubscribe_page;
  $$unsubscribe_page = subscribe(page, (value) => $page = value);
  let isLoading = true;
  let isMounted = false;
  const signature = $page.params.tx;
  const client = trpcWithQuery($page);
  const params = new URLSearchParams(window.location.search);
  const network = params.get("network");
  const isMainnetValue = network !== "devnet";
  let transaction = null;
  $$subscribe_transaction();
  const rawTransaction = client.rawTransaction.createQuery([signature || "", isMainnetValue]);
  $$unsubscribe_rawTransaction = subscribe(rawTransaction, (value) => $rawTransaction = value);
  let error = null;
  async function executeQuery() {
    isLoading = true;
    try {
      const result = await fetchTransactionData();
      $$subscribe_transaction(transaction = result);
      error = null;
    } catch (e) {
      error = e;
      $$subscribe_transaction(transaction = null);
    } finally {
      isLoading = false;
    }
  }
  async function fetchTransactionData() {
    const result = client.transaction.createQuery({
      account: $page.url.searchParams.get("ref")?.split("@").reduce((acc, ref) => ref.startsWith("wallet") ? ref.split(":")[1] : acc, ""),
      isMainnet: isMainnetValue,
      transaction: signature || ""
    });
    return result;
  }
  {
    if (signature && isMounted) {
      executeQuery();
    }
  }
  $transaction?.data ? $transaction.data : null;
  $rawTransaction?.data;
  isLoading = !$transaction || $transaction.data === void 0;
  $$unsubscribe_transaction();
  $$unsubscribe_rawTransaction();
  $$unsubscribe_page();
  return `${isLoading ? `<div class="flex content-center justify-center pt-4" aria-label="Loading spinner">${validate_component(Circle, "Circle").$$render(
    $$result,
    {
      size: "50",
      color: "#FFFFFF",
      unit: "px",
      duration: "1s"
    },
    {},
    {}
  )}</div>` : `${$transaction?.data?.signature ? `<div class="content mb-4 mt-4 flex justify-between px-3"><h1 class="text-xl font-bold">Transaction</h1>
        <div class="flex">${validate_component(Copy_button, "CopyButton").$$render($$result, { success: "", text: $page.params.search }, {}, {})}
            ${validate_component(Copy_button, "CopyButton").$$render(
    $$result,
    {
      icon: "link",
      success: "",
      text: $page.url.href
    },
    {},
    {}
  )}</div></div>
    ${``}` : `<h2 class="mb-6 mt-20 text-center text-lg opacity-90">Transaction not found. Try selecting another network.
    </h2>
    ${validate_component(Network, "Network").$$render($$result, {}, {}, {})}`}`}`;
});
export {
  Page as default
};
