export const manifest = {
	appDir: "_app",
	appPath: "_app",
	assets: new Set(["docs.svg","ecosystem.png","favicon.png","image.png","logo.png","media/animation.json","media/favicon.png","media/gradient.png","media/helius/helius-dark.png","media/helius/helius-icon-light.png","media/helius/helius-icon.png","media/linkpreview.jpg","media/logo.png","media/tokens/solana.png","media/tokens/unknown-token.png","media/tokens/usdc.png"]),
	mimeTypes: {".svg":"image/svg+xml",".png":"image/png",".json":"application/json",".jpg":"image/jpeg"},
	_: {
		client: {"start":"_app/immutable/entry/start.7e6d3c8c.js","app":"_app/immutable/entry/app.e05f53bd.js","imports":["_app/immutable/entry/start.7e6d3c8c.js","_app/immutable/chunks/index.1e4dcd5d.js","_app/immutable/chunks/singletons.e16a8692.js","_app/immutable/chunks/index.dac77934.js","_app/immutable/entry/app.e05f53bd.js","_app/immutable/chunks/preload-helper.41c905a7.js","_app/immutable/chunks/index.1e4dcd5d.js"],"stylesheets":[],"fonts":[]},
		nodes: [
			() => import('./nodes/0.js'),
			() => import('./nodes/1.js'),
			() => import('./nodes/2.js'),
			() => import('./nodes/3.js'),
			() => import('./nodes/4.js'),
			() => import('./nodes/5.js'),
			() => import('./nodes/6.js'),
			() => import('./nodes/7.js'),
			() => import('./nodes/8.js'),
			() => import('./nodes/9.js'),
			() => import('./nodes/10.js'),
			() => import('./nodes/11.js'),
			() => import('./nodes/12.js'),
			() => import('./nodes/13.js'),
			() => import('./nodes/14.js')
		],
		routes: [
			{
				id: "/",
				pattern: /^\/$/,
				params: [],
				page: { layouts: [0,], errors: [1,], leaf: 3 },
				endpoint: null
			},
			{
				id: "/account/[account]/assets",
				pattern: /^\/account\/([^/]+?)\/assets\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 6 },
				endpoint: null
			},
			{
				id: "/account/[account]/concurrent-merkle-tree",
				pattern: /^\/account\/([^/]+?)\/concurrent-merkle-tree\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 7 },
				endpoint: null
			},
			{
				id: "/account/[account]/nfts",
				pattern: /^\/account\/([^/]+?)\/nfts\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 9 },
				endpoint: null
			},
			{
				id: "/account/[...accounts]/assets",
				pattern: /^\/account(?:\/(.*))?\/assets\/?$/,
				params: [{"name":"accounts","optional":false,"rest":true,"chained":true}],
				page: { layouts: [0,], errors: [1,], leaf: 4 },
				endpoint: null
			},
			{
				id: "/account/[account]",
				pattern: /^\/account\/([^/]+?)\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 5 },
				endpoint: null
			},
			{
				id: "/account/[account]/idl",
				pattern: /^\/account\/([^/]+?)\/idl\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 8 },
				endpoint: null
			},
			{
				id: "/account/[account]/tokens",
				pattern: /^\/account\/([^/]+?)\/tokens\/?$/,
				params: [{"name":"account","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,2,], errors: [1,,], leaf: 10 },
				endpoint: null
			},
			{
				id: "/api/fetchIdl",
				pattern: /^\/api\/fetchIdl\/?$/,
				params: [],
				page: null,
				endpoint: () => import('./entries/endpoints/api/fetchIdl/_server.ts.js')
			},
			{
				id: "/api/search/[query]",
				pattern: /^\/api\/search\/([^/]+?)\/?$/,
				params: [{"name":"query","optional":false,"rest":false,"chained":false}],
				page: null,
				endpoint: () => import('./entries/endpoints/api/search/_query_/_server.ts.js')
			},
			{
				id: "/block/[slot]",
				pattern: /^\/block\/([^/]+?)\/?$/,
				params: [{"name":"slot","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 11 },
				endpoint: null
			},
			{
				id: "/nifty-asset/[asset]",
				pattern: /^\/nifty-asset\/([^/]+?)\/?$/,
				params: [{"name":"asset","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 12 },
				endpoint: null
			},
			{
				id: "/token/[token]",
				pattern: /^\/token\/([^/]+?)\/?$/,
				params: [{"name":"token","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 13 },
				endpoint: null
			},
			{
				id: "/tx/[tx]",
				pattern: /^\/tx\/([^/]+?)\/?$/,
				params: [{"name":"tx","optional":false,"rest":false,"chained":false}],
				page: { layouts: [0,], errors: [1,], leaf: 14 },
				endpoint: null
			}
		],
		matchers: async () => {
			
			return {  };
		}
	}
};
